GNU bug report logs - #37444
[PATCH] added aerc, a simple email client and its dependcies

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Martin Becze <mjbecze@HIDDEN>; Keywords: patch; dated Wed, 18 Sep 2019 08:25:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:39:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:39:06 2019
Received: from localhost ([127.0.0.1]:35087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrN-0007Go-MR
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:39:05 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrI-0007G1-0I
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:39:00 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhg4KzbzFbTp
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965939; bh=+PlFtWrENkxdVknbk586/epSt0ugF01U54wzz94g1SU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=jGHpmUV/NJl77a5yp8GXFE6wnK9PLrRHfZuAkyo4P1I8Kg8M3x9ydrkgTiovJalG9
 8ObBYTmo2p7zcLNpv4Z3pmwP+zqHIc1PlECB64o8tOxsTNPxDemYySNyptHvjMXM6L
 zbh6O3zQqLpcFQcTevuzUCFhzrX6VZzvvU57ZPN0=
X-Riseup-User-ID: 2B6671C43C3E9D5F2AA2EDDECD66046D8D16719FA33B8F96139A9A20FC07292F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhf5y8yzJsB1;
 Tue,  1 Oct 2019 14:38:58 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 24/24] progagated inputs for gdamore-encoding,
 since this is a source only package and the go compiler needs its
 dependency when used as an input in another package
Date: Tue,  1 Oct 2019 17:37:26 -0400
Message-Id: <20191001213726.21676-24-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-gdamore-encoding): propgate-inputs
---

This fixes the git log! :D

 gnu/packages/golang.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 628b5786b8..4825344fc8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3436,7 +3436,7 @@ colorspaces.")
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/gdamore/encoding"))
-    (inputs
+    (propagated-inputs
      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
     (home-page "https://github.com/gdamore/encoding")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:39:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:39:05 2019
Received: from localhost ([127.0.0.1]:35084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrN-0007Gg-AI
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:39:05 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrH-0007Fo-0N
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:59 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhf48y4zDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965938; bh=kPnrDlJH/xVEoX1KXvlVJj1BJsM537jf3ro+r0D7yaU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Y+Sm8ENpUkufXTUKDfrp9/YX4aVi1vnSt/HTeUFi4rqeetVbfHMPIh4bPa/mKX4dX
 +yUOPMkBj8scqZ8PMGBqWXUNyMFxSxO6tfLru0rFk1+fmD9dS7uw2zGgCqFeo+FVDn
 AmOYFnnOQf32eb3afyQmaFj5qj9EkOaFRuafBIUA=
X-Riseup-User-ID: 4C045FDF9A21A4BDD8821E57CA5D61D5547714B6BFC8B9E51AF8CA264143E8E4
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhd5jXHzJsB1;
 Tue,  1 Oct 2019 14:38:57 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 23/24] updated go-github-com-mitchellh-go-homedir to
 version 1.1.0
Date: Tue,  1 Oct 2019 17:37:25 -0400
Message-Id: <20191001213726.21676-23-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-mitchellh-go-homedir): updated to 1.1.0
---
 gnu/packages/golang.scm | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 066ea4ee6f..628b5786b8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2972,28 +2972,27 @@ statistics for wrapped connections.")
       (license license:expat))))
 
 (define-public go-github-com-mitchellh-go-homedir
-  (let ((commit "ae18d6b8b3205b561c79e8e5f69bff09736185f4")
-        (revision "0"))
     (package
       (name "go-github-com-mitchellh-go-homedir")
-      (version (git-version "1.0.0" revision commit))
+      (version "1.1.0")
       (source
        (origin
          (method git-fetch)
          (uri (git-reference
                (url "https://github.com/mitchellh/go-homedir.git")
-               (commit commit)))
+               (commit (string-append "v" version))))
          (file-name (git-file-name name version))
          (sha256
           (base32
-           "0f0z0aa4wivk4z1y503dmnw0k0g0g403dly8i4q263gfshs82sbq"))))
+           "0ydzkipf28hwj2bfxqmwlww47khyk6d152xax4bnyh60f4lq3nx1"))))
       (build-system go-build-system)
       (arguments
        (quote (#:import-path "github.com/mitchellh/go-homedir"
                ;; TODO: Tests fail because it tries to access home.
                #:tests? #f)))
       (home-page "https://github.com/mitchellh/go-homedir")
-      (synopsis "Go library for detecting and expanding the user's home directory without cgo")
+      (synopsis "Go library for detecting and expanding the user's home 
+directory without cgo")
       (description "This is a Go library for detecting the user's home
 directory without the use of @command{cgo}, so the library can be used in
 cross-compilation environments.
@@ -3008,7 +3007,7 @@ package cannot cross compile.  But 99% of the time the use for
 @command{os/user} is just to retrieve the home directory, which we can do for
 the current user without cgo.  This library does that, enabling
 cross-compilation.")
-      (license license:expat))))
+      (license license:expat)))
 
 (define-public go-github-com-multiformats-go-multiaddr
   (let ((commit "fe1c46f8be5af4aff4db286e08839295bd922efb")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:39:00 2019
Received: from localhost ([127.0.0.1]:35079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrH-0007G2-Qj
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:39:00 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrF-0007FY-Uo
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:58 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhd3gKXzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965937; bh=0nqCmgQqvvWKee1A3a3DoU/idizUOVUcTD+n4bftfQU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=EBjPfqmu7sD9b0bIEnypns8TXAXZwRIyD0/dCK+tuQwTTJaHwoxdXdy+50+0FLIFD
 NQQtKw90jOqdnmzBMWRPg9hcyXpaKoELWW5dC/+hLa8a0pxr1o4qDTHMdGEMdon88r
 gLmSJjGeGK8Fuib7cxKspnWEOJ+DciH2nvIi9JH4=
X-Riseup-User-ID: 8D51A0860070EC98DAC4B4EE445B90AEC5368BF1D44D10213D92E4C6ACF0D40C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhc5VN3zJsB1;
 Tue,  1 Oct 2019 14:38:56 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 22/24] added aerc, a simple email client
Date: Tue,  1 Oct 2019 17:37:24 -0400
Message-Id: <20191001213726.21676-22-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/mail.scm (aerc): added package
---
 gnu/packages/mail.scm | 81 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 81 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 3d5417bfb5..7631438e0a 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -74,6 +75,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages groff)
   #:use-module (gnu packages gsasl)
   #:use-module (gnu packages gtk)
@@ -111,6 +113,7 @@
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages texinfo)
+  #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
@@ -133,6 +136,7 @@
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system guile)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system trivial))
@@ -3082,3 +3086,80 @@ related tools to process winmail.dat files.")
 complement or replace traditional mailing lists.  Readers may read via NNTP,
 Atom feeds or HTML archives.")
      (license agpl3+))))
+
+(define-public aerc
+  (let ((url "https://git.sr.ht/~sircmpwn/aerc"))
+    (package
+      (name "aerc")
+      (version "0.2.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit version)))
+         (sha256
+          (base32
+           "0l063pnz02r4jsg0kd9jp8m5nq10n5q9zdjpx26gfnd9ww4fs46h"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "git.sr.ht/~sircmpwn/aerc"
+         #:install-source? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'setup-go-environment 'setup-make-environment
+             (lambda* (#:key outputs #:allow-other-keys)
+               (setenv "PREFIX" (assoc-ref outputs "out"))
+               #t))
+           (replace 'build
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make"))))
+           (replace 'install
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make" "install"))))
+           (add-after 'install 'wrap-program
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let ((ncurses (assoc-ref inputs "ncurses"))
+                     (out (assoc-ref outputs "out")))
+                 (wrap-program (string-append out "/bin/aerc")
+                   `("PATH" ":" prefix (,(string-append ncurses "/bin")))))
+               #t)))))
+      (inputs
+       `(("ncurses" ,ncurses)))
+      (native-inputs
+       `(("scdoc" ,scdoc)
+         ("automake" ,automake)
+         ("go-git-sr-ht-sircmpwn-getopt" ,go-git-sr-ht-sircmpwn-getopt)
+         ("go-git-sr-ht-sircmpwn-pty" ,go-git-sr-ht-sircmpwn-pty)
+         ("go-git-sr-ht-sircmpwn-tcell" ,go-git-sr-ht-sircmpwn-tcell)
+         ("go-github-com-danwakefield-fnmatch"
+	 ,go-github-com-danwakefield-fnmatch)
+         ("go-github-com-ddevault-go-libvterm"
+	 ,go-github-com-ddevault-go-libvterm)
+         ("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+         ("go-github-com-emersion-go-imap-idle"
+	 ,go-github-com-emersion-go-imap-idle)
+         ("go-github-com-emersion-go-maildir" ,go-github-com-emersion-go-maildir)
+         ("go-github-com-emersion-go-message" ,go-github-com-emersion-go-message)
+         ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+         ("go-github-com-emersion-go-smtp" ,go-github-com-emersion-go-smtp)
+         ("go-github-com-fsnotify-fsnotify" ,go-github-com-fsnotify-fsnotify)
+         ("go-github-com-go-ini-ini" ,go-github-com-go-ini-ini)
+         ("go-github-com-google-shlex" ,go-github-com-google-shlex)
+         ("go-github-com-kyoh86-xdg" ,go-github-com-kyoh86-xdg)
+         ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
+         ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-github-com-miolini-datacounter" ,go-github-com-miolini-datacounter)
+         ("go-github-com-mitchellh-go-homedir"
+	 ,go-github-com-mitchellh-go-homedir)
+         ("go-github-com-pkg-errors" ,go-github-com-pkg-errors)
+         ("go-github-com-riywo-loginshell" ,go-github-com-riywo-loginshell)
+         ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+      (home-page url)
+      (synopsis "An email client for your terminal")
+      (description "Join the IRC channel: #aerc on irc.freenode.net for end-user
+ support, and #aerc-dev for development.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:58 2019
Received: from localhost ([127.0.0.1]:35076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrG-0007Fc-BF
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:58 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrF-0007FH-2m
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:57 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhc3RvJzFbTp
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965936; bh=7aEgEisnODoxAPWGZWHipCV32Z9CKGdAvX4vI1DZnFo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=HMxwXp5FiQ6TVC+ZjHcNcpvrwcr3Ot7G56Iv/PkhSH/dP6K5WM5oyqsKMxOsooQkh
 6cLmbP1NYYxW1RWiz+h91TNAag11HLInkgqbX3nGIcawzoewlBXRk/ASIUoMuKO+tA
 DZpkKeIT39sL2KAX1q6HMRsAhFfQH8p5yjmxh+LY=
X-Riseup-User-ID: AF193FC58D9BDAAC5E00F80F0A01E327575475F64BA8B6250652CBACB075BF62
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhb5JPHzJsB1;
 Tue,  1 Oct 2019 14:38:55 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 21/24] added go package go-git-sr-ht-sircmpwn-tcell
Date: Tue,  1 Oct 2019 17:37:23 -0400
Message-Id: <20191001213726.21676-21-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-git-sr-ht-sircmpwn-tcell): added package
---
 gnu/packages/golang.scm | 46 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b925f5df95..066ea4ee6f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4213,3 +4213,49 @@ quoting, commenting, and escaping.")
      (synopsis "A Go package for using unix pseudo-terminals")
      (description "Pty is a Go package for using unix pseudo-terminals.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-tcell
+  (let ((commit "3fdb6bc01a5035fe7cd57b9b0b56166a44db8620")
+        (version "0.0.0"))
+    (package
+      (name "go-git-sr-ht-sircmpwn-tcell")
+      (version (git-version version "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.sr.ht/~sircmpwn/tcell")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1g7vx0qzwp6wsp47l2rabmkrxp7x3z8s94gjf6722z7sfb8xybas"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/gdamore/tcell"
+         #:unpack-path "github.com/gdamore/tcell"
+         #:phases
+         (modify-phases %standard-phases
+           (add-before 'reset-gzip-timestamps 'make-files-writable
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; Make sure .gz files are writable so that the
+               ;; 'reset-gzip-timestamps' phase can do its work.
+               (let ((out (assoc-ref outputs "out")))
+                 (for-each make-file-writable
+                           (find-files out "\\.gz$"))
+                 #t))))))
+      (propagated-inputs
+       `(("go-golang-org-colorful" ,go-golang-org-colorful)
+         ("go-github-com-gdamore-encoding" ,go-github-com-gdamore-encoding)))
+      (inputs
+       `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+         ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)
+         ("go-golang-org-x-sys-unix" ,go-golang-org-x-sys-unix)))
+      (home-page "https://github.com/gdamore/tcell")
+      (synopsis "Provide a cell-based view for text terminals")
+      (description "This package includes a full parser and expander for
+terminfo capability strings to avoid hard-coding escape strings for
+formatting.  It also favors portability, and includes support for all POSIX
+systems.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:58 2019
Received: from localhost ([127.0.0.1]:35073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrG-0007Fa-2b
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:58 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53402)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrD-0007Et-Sc
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:56 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhb3HvwzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965935; bh=jUryLJN7JKsZJvaN4I5FuPv9HJVSJb6I13R2czK/umI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=B4z587scgf3eUf26k74PJVPgwRObV0EYVwl65mVvy28GUky4zxFhsbFKIiVl75TvW
 Zb2KgY40K+Hj1UopeBiNF7IOqZS2Dz6jhJLRYVyXr8na0fnn0rKYf9rc+9oPmUtdss
 Sn0v+aLizLJJYeH4ZWhHgSehY+38TJNjlNcDYbRE=
X-Riseup-User-ID: 8E30784D313AF9B8146F5F85A859703A272ACABE7A5F0ED77EA2F114F8DEF8AD
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhZ57qszJsB1;
 Tue,  1 Oct 2019 14:38:54 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 20/24] added go package go-git-sr-ht-sircmpwn-pty
Date: Tue,  1 Oct 2019 17:37:22 -0400
Message-Id: <20191001213726.21676-20-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-git-sr-ht-sircmpwn-pty): added package
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fb85c4f5b7..b925f5df95 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4189,3 +4189,27 @@ quoting, commenting, and escaping.")
      (description "A POSIX-compatible getopt implementation for Go, because
  POSIX getopt is The Correct Way to interpret arguments to command line utilities.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-pty
+  (let ((commit "3a43678975a9cb13dbcf05ea7a1611ebce3eadb2")
+        (url "https://git.sr.ht/~sircmpwn/pty"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-pty")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1spa779vb2j1vgwm1cpbmf7f8wj6zwyyy49ihz134izvah7vncsw"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/pty"))
+     (home-page url)
+     (synopsis "A Go package for using unix pseudo-terminals")
+     (description "Pty is a Go package for using unix pseudo-terminals.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:57 2019
Received: from localhost ([127.0.0.1]:35070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrE-0007FA-LG
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:56 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrC-0007Ej-RM
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:55 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhZ39HmzFbTp
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965934; bh=q+klVwa9DPGBaToVv7WiFhY8OalTU9t84nBk4Lky1T4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=nkYTMylqpkVuZAPYFRG7RGV23Q58fSCladORbFA14ua+WOcFM+M4IdCLumS0HSR9I
 svMVEBDJtSycv6R5VvgBsy3jg4b0K4vngE25vPcRc457ncytu8Phl2SuG8qtijjFB/
 Wb30XPq3YWBhijJx6AfPTJXtDcozt7rCVMU5T7kw=
X-Riseup-User-ID: CAEE6EF03E254DB97596EA11BE21C3C6CCB67289C50E2FB6280A3BC55EDD5893
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhY50kTzJsB1;
 Tue,  1 Oct 2019 14:38:53 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 19/24] added go package go-git-sr-ht-sircmpwn-getopt
Date: Tue,  1 Oct 2019 17:37:21 -0400
Message-Id: <20191001213726.21676-19-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-git-sr-ht-sircmpwn-getopt): added package
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9fcf8d8b49..fb85c4f5b7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4162,3 +4162,30 @@ quoting, commenting, and escaping.")
      (synopsis "A golang library to get the login shell of the current user")
      (description "A golang library to get the login shell of the current user.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-getopt
+  (let ((commit "daaf1274538b02b41238d1e6c219186c76af3b8c")
+        (url "https://git.sr.ht/~sircmpwn/getopt"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-getopt")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0qf9kmzs3h4vzcbc1ha0z68ivckzvl7jq9jwb8rbbaq0d1a6baq7"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/getopt"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "A POSIX-compatible getopt implementation for Go")
+     (description "A POSIX-compatible getopt implementation for Go, because
+ POSIX getopt is The Correct Way to interpret arguments to command line utilities.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:56 2019
Received: from localhost ([127.0.0.1]:35068 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrE-0007F2-8n
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:56 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrB-0007EJ-QY
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:54 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhY2zKwzFbTp
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965933; bh=AA5cp4aEPlMUU92u9xJxDjjPTwKe3z6l9/lwZ6P/ajo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=KWcBJKqQM+ls4eVu16N2unbfGGaj5QDn9SpfVrBVrpQuLST5MkC3TyaQsxK4Ec5Wo
 uvZZ538Fh1Zx1ctsDCz50dScOp+0mtwQM7VCafAhPWW8hmuzDRVEpFK31OcGY1Nlp7
 csP7Wp9a+RAncKucHSc6j+G6e6zxzBIZQW0eSI6Y=
X-Riseup-User-ID: 73467A18A7179A79BD231387E4F9595602DEBE917F709CF313023FEC0A4F8ED9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhX4r9szJsB1;
 Tue,  1 Oct 2019 14:38:52 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 18/24] added go package go-github-com-riywo-loginshell
Date: Tue,  1 Oct 2019 17:37:20 -0400
Message-Id: <20191001213726.21676-18-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-riywo-loginshell): added package
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bb00230b60..9fcf8d8b49 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4137,3 +4137,28 @@ quoting, commenting, and escaping.")
      (synopsis "Golang counters for readers/writers")
      (description "Golang counters for readers/writers")
      (license license:expat))))
+
+(define-public go-github-com-riywo-loginshell
+  (let ((url "https://github.com/riywo/loginshell")
+        (commit "2ed199a032f65b5e6a0a1294abc96b7d3efade86"))
+    (package
+     (name "go-github-com-riywo-loginshell")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1chhpp22kd3r2h84206bvdjj6815n4r6pjq8n9jhav9mfal4qvzj"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/riywo/loginshell"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "A golang library to get the login shell of the current user")
+     (description "A golang library to get the login shell of the current user.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:56 2019
Received: from localhost ([127.0.0.1]:35065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrD-0007Ev-Vq
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:56 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrA-0007Ds-RD
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:53 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhX2rj2zFbTp
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965932; bh=KqQVTZijQnNVRMYyft3ew1MGlg3BX8bS/yiFzu2NAqU=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=fveSQC0eydJxK6K4y6VcUwKtKw9Z3mwg3kdLvbsgosVOsOjN4cnVvzk7PKSjwEUzD
 FHlbTO/BGch+SwE/Wemx34KBkum6kul1IqsSVCxFvUWJ2fDwyuez5RwS9oW008ZbHh
 bHr8gYookyk/8MicIjF2AjPX1jOqyG72t6mUGUXQ=
X-Riseup-User-ID: C4EAF2DA3609C9B347189CBCA88810AC6B56618A70D918C08B54AFDA6DE971E4
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhW4h1xzJsBt;
 Tue,  1 Oct 2019 14:38:51 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 17/24] added go package go-github-com-miolini-datacounter
Date: Tue,  1 Oct 2019 17:37:19 -0400
Message-Id: <20191001213726.21676-17-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-miolini-datacounter): added package
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 487a963ff0..bb00230b60 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4113,3 +4113,27 @@ quoting, commenting, and escaping.")
      (description "Implements Base36 encoding and decoding, which is useful to
  represent large integers in a case-insensitive alphanumeric way.")
      (license license:expat))))
+
+(define-public go-github-com-miolini-datacounter
+  (let ((url "https://github.com/miolini/datacounter")
+        (commit "aa48df3a02c1fbcd3040271f631887991c3071fb"))
+    (package
+     (name "go-github-com-miolini-datacounter")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "12ldh5jhafjhh3jvh979mldwygkkcnm97axs7dhlai6gqwlhls87"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/miolini/datacounter"))
+     (home-page url)
+     (synopsis "Golang counters for readers/writers")
+     (description "Golang counters for readers/writers")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:55 2019
Received: from localhost ([127.0.0.1]:35063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrD-0007Es-L3
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:55 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPrA-0007Dq-Gh
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:52 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhW4wrmzFbcv
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965931; bh=izRxh7dG+YrKYapDGN/ukGtf6LgYlhsGUtdHnmK3AN0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=i5iXbRYAPvkwsrCQiwmOiV+7xFmQqolg6eEAhLzYs8GrnaV8LT2jLnZ87kcA6vRkr
 eV2IgIAHU+/G7TJfglnmwgywWCNKi3qMsIvuUbZnwtYZnltHwS10tWW64cKsrlGYfY
 T+NcSi7tH1Yw2qhuxEmgrX2z9k5atv59QVQAIMRs=
X-Riseup-User-ID: C3BB73650855F54B3BC5CCE6181011C0D512A89114CFEAB0C2CA8427DE6B395A
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhV4XzBzJsB1;
 Tue,  1 Oct 2019 14:38:50 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 16/24] added go package go-github-com-martinlindhe-base36
Date: Tue,  1 Oct 2019 17:37:18 -0400
Message-Id: <20191001213726.21676-16-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-martinlindhe-base36): added package
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ccb11a83c0..487a963ff0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4087,3 +4087,29 @@ quoting, commenting, and escaping.")
      (description "Light weight helper functions in golang to get config, data
  and cache files according to the XDG Base Directory Specification.")
      (license license:expat))))
+
+(define-public go-github-com-martinlindhe-base36
+  (let ((url "https://github.com/martinlindhe/base36"))
+    (package
+     (name "go-github-com-martinlindhe-base36")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "0hib6cnx543fxbcy7fm3kcfz8ajhd90kxzbld49qi7w930pcz26c"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/martinlindhe/base36"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "Implements Base36 encoding and decoding")
+     (description "Implements Base36 encoding and decoding, which is useful to
+ represent large integers in a case-insensitive alphanumeric way.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:54 2019
Received: from localhost ([127.0.0.1]:35060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrC-0007ES-4M
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:54 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr8-0007Dh-Ow
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:51 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhV2WRVzFbVn
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965930; bh=brLwp8zpg/3P+vzQVptaRjqqVaM49BPGQtUp/m40Tj0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Y4LkXY95VsUiesrfFmkmS3lA+1Tfv6pwq5NBfgxT08PEzYQrBSQgb5riYwU4ouKqM
 5lenxpOXPRV4eEEABW+/QoozdHtralJ40YxGHYK9Rz1rq7OtZQJa7x/7j25Tp4B4i0
 sTKECOcRd/zHnXISY3Fc3hHtmPncgAs+KQdu0Ci8=
X-Riseup-User-ID: 031471A942F2F74EC24BE666F73C8190C05A12A0E9671BB79EF43B3F53DE7F76
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhT4SsmzJsB1;
 Tue,  1 Oct 2019 14:38:49 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 15/24] added go package go-github-com-kyoh86-xdg
Date: Tue,  1 Oct 2019 17:37:17 -0400
Message-Id: <20191001213726.21676-15-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-kyoh86-xdg): added package
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6c178a2102..ccb11a83c0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4062,3 +4062,28 @@ gist (https://gist.github.com/kballard/272720)")
      (description "go-shlex is a simple lexer for go that supports shell-style 
 quoting, commenting, and escaping.")
      (license license:asl2.0))))
+
+(define-public go-github-com-kyoh86-xdg
+  (let ((url "https://github.com/kyoh86/xdg"))
+    (package
+     (name "go-github-com-kyoh86-xdg")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "02wrm9rl6qqv3nr2n5yariwg1rgr7w76l1sp0ak1kxin1y184ivf"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/kyoh86/xdg"))
+     (home-page url)
+     (synopsis "Light weight helper functions in golang to get config, data and
+ cache files according to the XDG Base Directory Specification")
+     (description "Light weight helper functions in golang to get config, data
+ and cache files according to the XDG Base Directory Specification.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:54 2019
Received: from localhost ([127.0.0.1]:35057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrB-0007EP-OI
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:54 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr7-0007DM-Pv
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:50 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhT2T5xzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965929; bh=/8/H51d9T1fhdJb14YQe/wELfwXTiI/5inhbTBEz66U=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=EhGS4i/Xff3ptBzkF+wKAtQYfCQuSfalqRoBTMZurilsw4FLGhSO9EFxHD6R6tgrl
 G8kIAqh1LguyNUCkYZ2pv/BI80FUJmCtTX8iPqtlUkfBAhU3WKzi0rOKJKckKc1ddd
 3tLW2JjXgaS5Ov15zaVkKQqzfbfqvJLZQ/eJmjio=
X-Riseup-User-ID: 86E4BA32B26DE539A2015FF6FB3B0C5A89AC63DD6283E03B49C507F8239025C1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhS4KNxzJsB1;
 Tue,  1 Oct 2019 14:38:48 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 14/24] added go package go-github-com-google-shlex
Date: Tue,  1 Oct 2019 17:37:16 -0400
Message-Id: <20191001213726.21676-14-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-google-shlex): added package
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9245965613..6c178a2102 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4037,3 +4037,28 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "Package ini provides INI file read and write functionality in Go")
      (description "Package ini provides INI file read and write functionality in Go.")
      (license license:asl2.0))))
+
+(define-public go-github-com-google-shlex
+  (let ((commit "c34317bd91bf98fab745d77b03933cf8769299fe")
+        (url "https://github.com/google/shlex"))
+    (package
+     (name "go-github-com-google-shlex")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "00qivza4hkllfkar2vpqmyxybi0fwqipgijv61dgapq4xddxdq0r"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/google/shlex"))
+     (home-page url)
+     (synopsis "A simple lexer")
+     (description "go-shlex is a simple lexer for go that supports shell-style 
+quoting, commenting, and escaping.")
+     (license license:asl2.0))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:53 2019
Received: from localhost ([127.0.0.1]:35055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrB-0007E7-4T
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:53 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr6-0007D3-OQ
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:49 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhS2HkKzFbcv
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965928; bh=p8CNOg+/uVQ4XvcQXVWp4eQgxr2UinpclY1LH6lcZQA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=V1M5V8SU5zS6gE9Fd/92dvdPfCspAKoWr8//3bSowuPLE/NFypAUtCQYPliahPU2D
 mVi69SnGDRlxKqpzC7EULd0kaqA/hu7FemkpPwOcV0Ia+n35LipZr0yvhsMeXcRVRp
 zqK4EIMyZWtgSThVi6dvixrCtBtrGAcaGLOVfc8w=
X-Riseup-User-ID: 1734467A42311D853D169FBC71DCE7EFBC74D6A68FCF3EDF4FDC06D8A196F530
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhR48mpzJsB1;
 Tue,  1 Oct 2019 14:38:47 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 13/24] added go package go-github-com-go-ini-ini
Date: Tue,  1 Oct 2019 17:37:15 -0400
Message-Id: <20191001213726.21676-13-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-go-ini-ini): added package
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 52bf9ad49a..9245965613 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4013,3 +4013,27 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "File system notifications for Go")
      (description "File system notifications for Go")
      (license license:bsd-3))))
+
+(define-public go-github-com-go-ini-ini
+  (let ((url "https://github.com/go-ini/ini"))
+    (package
+     (name "go-github-com-go-ini-ini")
+     (version "1.44.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "072fhg4i5k26pxq3kg5y5h9lb9w5ka75jl000q5bjcdv2yf8qhcv"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/go-ini/ini"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "Package ini provides INI file read and write functionality in Go")
+     (description "Package ini provides INI file read and write functionality in Go.")
+     (license license:asl2.0))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:53 2019
Received: from localhost ([127.0.0.1]:35052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrA-0007Du-Mp
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:53 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr5-0007D1-N1
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:49 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhR26zLzFbVn
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965927; bh=1+XTzmwiv98AirXJKRQIxIqfCj07iKauMp8psFLLLWM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=T6O4mOYWS+tAcd0yeU4A9kQlgVAZ4gXa4stcIQI0AaAlaJ6Dn+QwCz7o71YZrriwy
 YVILlqVXPoAVYufB1o4qJW2Rj7zvJ0aLSjMSQDYuJS80agy11Tuyq6opwiwBaoWNjY
 wnzUHVv7TPz3Ws3/rJJ/3/ATJsLfV7A785YDjN80=
X-Riseup-User-ID: A60FBAC46244971D9F62712B9367E866979D7FAB4E714A3ACAC612F3A900108E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhQ40jQzJsB1;
 Tue,  1 Oct 2019 14:38:46 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 12/24] added go package go-github-com-fsnotify-fsnotify
Date: Tue,  1 Oct 2019 17:37:14 -0400
Message-Id: <20191001213726.21676-12-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-fsnotify-fsnotify): added package
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 640f9e5f15..52bf9ad49a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3987,3 +3987,29 @@ gist (https://gist.github.com/kballard/272720)")
 @item LMTP support
 @end itemize ")
      (license license:expat))))
+
+(define-public go-github-com-fsnotify-fsnotify
+  (let ((url "https://github.com/fsnotify/fsnotify"))
+    (package
+     (name "go-github-com-fsnotify-fsnotify")
+     (version "1.4.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/fsnotify/fsnotify"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-sys-unix",go-golang-org-x-sys-unix)))
+     (home-page url)
+     (synopsis "File system notifications for Go")
+     (description "File system notifications for Go")
+     (license license:bsd-3))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:52 2019
Received: from localhost ([127.0.0.1]:35049 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPrA-0007Dr-CL
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:52 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr4-0007Cy-NR
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:49 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhQ2F9YzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965926; bh=c6E3QVo0XuxdSi8mb7fKIK+nzSNdVEvRQEG5cLwzW88=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=a3M9YFSyUKvgnfNLWVRcNFEs8Tgxx3nyeSTUzSrBcGVR+tpp6RsmaimH7d0jnRGjd
 yGwmj20hC37mCwRAf9ZB0gGlkCo9S38RrWmZMBL6vlArNwLfVWDZAHGUh7d0PLB/74
 oqsXPUWtdM9PIPK+al6dvAUcLEd2b2LqhSlHS5SI=
X-Riseup-User-ID: D8E33F9CA13598703BA0740E506E5D347F750E22A5E8739CC09F05D57E23E448
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhP3rj9zJsB1;
 Tue,  1 Oct 2019 14:38:45 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 11/24] added go package go-github-com-emersion-go-smtp
Date: Tue,  1 Oct 2019 17:37:13 -0400
Message-Id: <20191001213726.21676-11-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-smtp): added package
---
 gnu/packages/golang.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e347ebc43..640f9e5f15 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3956,3 +3956,34 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A writer that wraps long text lines to a specified length")
      (description "A writer that wraps long text lines to a specified length")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-smtp
+  (let ((url "https://github.com/emersion/go-smtp"))
+    (package
+     (name "go-github-com-emersion-go-smtp")
+     (version "0.11.2")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "08v7x513hxkfyihixp0cdy4cmf2j9hw1yzm7bzy5g95fai71azm0"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-smtp"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)))
+     (home-page url)
+     (synopsis "An ESMTP client and server library written in Go")
+     (description "An ESMTP client and server library written in Go. It features:
+@itemize
+@item ESMTP client & server implementing RFC 532
+@item Support for SMTP AUTH and PIPELINING
+@item UTF-8 support for subject and message
+@item LMTP support
+@end itemize ")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:50 2019
Received: from localhost ([127.0.0.1]:35045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr7-0007DO-QU
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:50 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr3-0007Cb-Mk
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:46 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhP23Y9zDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965925; bh=xdt1rawXIqUJY4V06R4rJomk1DNS18hCFnv0ytAdUNs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=BX4f9aXLmQcpW94g2qXGCOfibKYX/kdrmCZ3uJxe7zxJvOr1vRw7uOatl58cQ75zl
 O0qUVY2/8Xbm5AH8HOb4jlPHjCHRZGLgvr050YVXeL6sCm5XC7mgjrkx0EFa4SCxXJ
 GUUQjJ0njWkj16McIyjo63wZOk5pdISFkh5VAubQ=
X-Riseup-User-ID: FCEF171902A158117D6BF37E153A8AE3C39E92793E5A12FE89D6F29577BDE32F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhN3bZYzJsB1;
 Tue,  1 Oct 2019 14:38:44 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 10/24] added go package
 go-github-com-emersion-go-textwrapper
Date: Tue,  1 Oct 2019 17:37:12 -0400
Message-Id: <20191001213726.21676-10-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-textwrapper): added package
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 189f0f1788..5e347ebc43 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3932,3 +3932,27 @@ gist (https://gist.github.com/kballard/272720)")
 @item RFC 2183: Content-Disposition Header Field
 @end itemize")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-textwrapper
+  (let ((url "https://github.com/emersion/go-textwrapper")
+        (commit "d0e65e56babe3f687ff94c1d764ca0e6aa7723ee"))
+    (package
+     (name "go-github-com-emersion-go-textwrapper")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1nw8qpjjbpkz49wd19yg2qsln1dmdfxi83wp2aa819cv6xxf2y7l"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-textwrapper"))
+     (home-page url)
+     (synopsis "A writer that wraps long text lines to a specified length")
+     (description "A writer that wraps long text lines to a specified length")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:49 2019
Received: from localhost ([127.0.0.1]:35043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr7-0007D5-1P
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:49 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr2-0007CM-LJ
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:44 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhN1mCSzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965924; bh=DPj2G9uiPrJh687adO6UsxLHF42stqYdC2L066rpP64=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=KAbzmfT3NQ3f9ULYUcBNm+0PcHO+oeQ+o6LX4nBHjTzCtx7UCR5L10pXatPQJaFMP
 TzlRokxuqKPL3GbJYsvajG48KHcdKKkk3ujzh69PDuToeJxMTXS7HbZTHaGDYEcoaj
 JsTxFlF1F7M4e0VOf5mL5fuLin4Ncqo9xdJz6BK4=
X-Riseup-User-ID: 190FF9DC0A7EA8584157B022543B33E17EB60E435C2C036A4FC070608749BC12
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhM3KCCzJsB1;
 Tue,  1 Oct 2019 14:38:43 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 09/24] added go package go-github-com-emersion-go-message
Date: Tue,  1 Oct 2019 17:37:11 -0400
Message-Id: <20191001213726.21676-9-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-message): added package
---
 gnu/packages/golang.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ac9f907911..189f0f1788 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3898,3 +3898,37 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A Go library for maildir")
      (description "A Go library for maildir.")
      (license license:expat))))
+
+
+(define-public go-github-com-emersion-go-message
+  (let ((url "https://github.com/emersion/go-message"))
+    (package
+     (name "go-github-com-emersion-go-message")
+     (version "0.10.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "05s6x6x5k5b4qmfam716b5wi47rrvj702lfkc6gr681z64g2hirb"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-message"))
+     (propagated-inputs
+      `(("go-github-com-emersion-go-textwrapper"
+         ,go-github-com-emersion-go-textwrapper)
+        ("go-github-com-martinlindhe-base36"
+	 ,go-github-com-martinlindhe-base36)))
+     (home-page url)
+     (synopsis "A Go library for the Internet Message Format")
+     (description "A Go library for the Internet Message Format. It implements:
+@itemize
+@item RFC 5322: Internet Message Format
+@item RFC 2045, RFC 2046 and RFC 2047: Multipurpose Internet Mail Extensions
+@item RFC 2183: Content-Disposition Header Field
+@end itemize")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:46 2019
Received: from localhost ([127.0.0.1]:35037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr3-0007Cg-MB
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:45 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr1-0007C7-J0
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:43 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhM1LdQzDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965923; bh=9WXwIcVkaCfT8P2KmXgQV5JUTWWQYFltdGKiQtm00wQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=H9r/rr1RAbT38pMdr79mvof1oEr4QK6Z0fhIUy7+QVoLhXdLx/X2B4zv9hjWEaCac
 Gnurmc9TpZoYYhwPvHhqTzGQrMgtD4cRNK2otu7Ra88ICIltTTfXMON2l3sYBkwExP
 8WyGyHOKS2ZKBWCCd1dllgIojhHY4DJl+BjJgmuI=
X-Riseup-User-ID: C6E34945307E37F35B98BBCEBB2A945883166F4CC9963F7D285BF6528AA779A9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhL37SkzJsBt;
 Tue,  1 Oct 2019 14:38:42 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 08/24] added go package go-github-com-emersion-go-maildir
Date: Tue,  1 Oct 2019 17:37:10 -0400
Message-Id: <20191001213726.21676-8-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-maildir): added package
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b8fb35fb29..ac9f907911 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3873,3 +3873,28 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "IDLE extension for go-imap")
      (description "IDLE extension for go-imap.")
      (license license:expat))))
+
+
+(define-public go-github-com-emersion-go-maildir
+  (let ((url "https://github.com/emersion/go-maildir")
+        (commit "941194b0ac705efac39bd89c5eae6cce84b26202"))
+    (package
+     (name "go-github-com-emersion-go-maildir")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/emersion/go-maildir")
+             (commit commit)))
+       (sha256
+        (base32
+         "10dm0qvjm4payh2hfifwfpz9511fngp2vaf2yrg111di67x1148m"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-maildir"))
+     (home-page url)
+     (synopsis "A Go library for maildir")
+     (description "A Go library for maildir.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:45 2019
Received: from localhost ([127.0.0.1]:35035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr3-0007CV-7R
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:45 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPr0-0007Bg-Kj
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:43 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhL1b7NzDtVV
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965922; bh=1HA+Qjo/XM8CiPta9w8bbIytRgJyoRriCtRYRMe9d7M=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=TcsFvQWQOcdCnGGbpDObSrr+DsvwFRq1p5nyyAsG8qyh/t71sDnoIGfe0Z04VkLlc
 qIc7IVcy238NltLH0B3zAiN3h6Es/EH3ljCMHrLh35raWMkN1GJ+S9fwoEugaF5N2s
 0kMW8wE1YlCcYiCeb1X85Vsk5VBr6EUk9ZlqTqJQ=
X-Riseup-User-ID: DB421A1C83A9ADF173E254F0F674B6ADAFAECBFE52F54A1BB48C617EDBA5417B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhK32cmzJsBs;
 Tue,  1 Oct 2019 14:38:41 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 07/24] add go package go-github-com-emersion-go-imap-idle
Date: Tue,  1 Oct 2019 17:37:09 -0400
Message-Id: <20191001213726.21676-7-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-imap-idle): added pacakge
---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5da171277c..b8fb35fb29 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3844,3 +3844,32 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A SASL library written in Go")
      (description "A SASL library written in Go.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap-idle
+  (let ((commit "2704abd7050ed7f2143753554ee23affdf847bd9")
+        (url "https://github.com/emersion/go-imap-idle"))
+    (package
+     (name "go-github-com-emersion-go-imap-idle")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0blwcadmxgqsdwgr9m4jqfbpfa2viw5ah19xbybpa1z1z4aj5cbc"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap-idle"))
+     (native-inputs
+      `(("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+        ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "IDLE extension for go-imap")
+     (description "IDLE extension for go-imap.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:45 2019
Received: from localhost ([127.0.0.1]:35033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr2-0007CO-Ox
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:45 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqz-0007BS-Hn
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:41 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhK123czDvwh
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965921; bh=cazxT94bfNWESgwUioIiN1nKXcOBbRrpHeEiwvmIEYg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=esMtBNEZkBEIE8mLy7TSEEbmKW75KjyQLxjJA0IZRERSDpgGYSv5EOBCvTF3KPSP1
 WO75epV9120KA6oNInZtkMwungg/X+qWMmI3wr+fgrRFLad74GX5WPiQqUVI99rYxU
 +nwb+PdVgSFX4xxJ8vGtfiYSWNAOfiVfJSq7FavY=
X-Riseup-User-ID: 603026CA81AC861B090C208651548758CA8EDCF46AA3F36A5EE2D110C2CF0162
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhJ2wR4zJsBs;
 Tue,  1 Oct 2019 14:38:40 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 06/24] added go package go-github-com-emersion-go-sasl
Date: Tue,  1 Oct 2019 17:37:08 -0400
Message-Id: <20191001213726.21676-6-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-sasl): added pacakge
---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ee4856c469..5da171277c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3820,3 +3820,27 @@ gist (https://gist.github.com/kballard/272720)")
      (description "An IMAP4rev1 library written in Go. It can be used to build
  a client and/or a server.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-sasl
+  (let ((commit "240c8404624e076f633766c16adbe96c7ac516b7")
+        (url "https://github.com/emersion/go-sasl"))
+    (package
+     (name "go-github-com-emersion-go-sasl")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1py18p3clp474xhx6ypyp0bgv6n1dfm24m95cyyqb0k3vibar6ih"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-sasl"))
+     (home-page url)
+     (synopsis "A SASL library written in Go")
+     (description "A SASL library written in Go.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:43 2019
Received: from localhost ([127.0.0.1]:35029 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr1-0007C1-BF
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:43 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqy-0007BL-Hd
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:40 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhJ0wQgzDqX5
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965920; bh=XHK0p84cCQbt5kcujL+1dzSKFeJod9QXtfGAGGjliYc=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=lHUrOMkLjjIC5CsvzLetW800+RnYV1q3vqNjxyLTlJUzP4gTCoVK5vMAFD3u98rE4
 XwEwouXGUdPHgc//OGxlP/pfepUn47oj3SHaopgr2OJgo+9e/jJtvBqA6hCpZWJzlk
 nC3u85XGuQ97Kg5nH04Iyr1xlXSKvA39Q1vWtmvI=
X-Riseup-User-ID: F035B020DCD60A88BE97D3AE8232DD2AEC1B45670DD76CD4A306312EF14114DF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhH2p6gzJsBs;
 Tue,  1 Oct 2019 14:38:39 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 05/24] added go package go-github-com-emersion-go-imap
Date: Tue,  1 Oct 2019 17:37:07 -0400
Message-Id: <20191001213726.21676-5-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-emersion-go-imap): added pacakge
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0ea99e40ab..ee4856c469 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3793,3 +3793,30 @@ gist (https://gist.github.com/kballard/272720)")
      (description "This is a personal fork for use with aerc. Breaking changes
  will come unannounced.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap
+  (let ((url "https://github.com/emersion/go-imap"))
+    (package
+     (name "go-github-com-emersion-go-imap")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1id8j2d0rn9sj8y62xhyygqpk5ygrcl9jlfx92sm1jsvxsm3kywq"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap"))
+     (native-inputs
+      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "An IMAP4rev1 library written in Go")
+     (description "An IMAP4rev1 library written in Go. It can be used to build
+ a client and/or a server.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:43 2019
Received: from localhost ([127.0.0.1]:35027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr0-0007Bp-Ri
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:43 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqx-0007BE-GT
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:39 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhH0mG5zDqX5
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965919; bh=2DopHiDv07DHkH8+90qAAPLkD0IBwVBrd838uV18GAA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Saw1/Oe7PzLYSY4A/qC0Xu4bMxui8mksjAY4Ht7hZvHwFAtT+enL2fyKuCQ+pzM85
 ac8/P4cP0TKv0ycZMcBW1oHfwwBDB/n/aBflGtC94br1tAnDRe332neSvzb/0O9cik
 pM8V3gEDZf/Qp/wluob/FAf+6eNSz2ftVVO7DCUY=
X-Riseup-User-ID: 07EE52E34DD794462DD916C764702FAE1A01195E6511AEE308D4E85E8B401D2C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhF6fc1zJsBs;
 Tue,  1 Oct 2019 14:38:37 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 04/24] added go package go-github-com-ddevault-go-libvterm
Date: Tue,  1 Oct 2019 17:37:06 -0400
Message-Id: <20191001213726.21676-4-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-ddevault-go-libvterm): added pacakge
---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f6c3c7673e..0ea99e40ab 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3766,3 +3766,30 @@ sensors).")
      (description "Updated clone of kballards golang fnmatch
 gist (https://gist.github.com/kballard/272720)")
      (license license:bsd-2))))
+
+(define-public go-github-com-ddevault-go-libvterm
+  (let ((commit "b7d861da381071e5d3701e428528d1bfe276e78f")
+        (url "https://github.com/ddevault/go-libvterm"))
+    (package
+     (name "go-github-com-ddevault-go-libvterm")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "06vv4pgx0i6hjdjcar4ch18hp9g6q6687mbgkvs8ymmbacyhp7s6"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/ddevault/go-libvterm"))
+     (propagated-inputs
+      `(("go-github-com-mattn-go-pointer" ,go-github-com-mattn-go-pointer)))
+     (home-page url)
+     (synopsis "Go binding to libvterm")
+     (description "This is a personal fork for use with aerc. Breaking changes
+ will come unannounced.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:42 2019
Received: from localhost ([127.0.0.1]:35024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr0-0007Bj-Gn
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqw-0007B5-2z
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:38 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhF4x7dzDtVV
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965917; bh=rmIBjVJ8w9yJFMPNPDW5jBPXiKbJeZvwUYbfjBZ28gg=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=AsKhTjG6Gpke0maOm1b4KMV3cvgqc8zvKV09TzXCLo+0Jdyn7xL3ibTeZNRUUqkVC
 jUPnNG5VX3AOjF7QKaPIWTldGFTW01phX4QG/ssbuZt8fRNb+Q2WNOVk+qN+kBDRMu
 WZLivwQK+TILkV2mesvJkTZOGDvdaqc/rtM66pNo=
X-Riseup-User-ID: FC41A4ECAB8C2DC80AF06B4BFE699F4ED58BA3D0E3259D36D8DAC27FFE46D966
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhD6PxrzJsBs;
 Tue,  1 Oct 2019 14:38:36 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 03/24] added go package go-github-com-danwakefield-fnmatch
Date: Tue,  1 Oct 2019 17:37:05 -0400
Message-Id: <20191001213726.21676-3-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-danwakefield-fnmatch): added pacakge
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4b78c48b84..f6c3c7673e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3740,3 +3740,29 @@ on running processes and system utilization (CPU, memory, disks, network,
 sensors).")
       (home-page "https://github.com/shirou/gopsutil")
       (license license:bsd-3))))
+
+(define-public go-github-com-danwakefield-fnmatch
+  (let ((commit "cbb64ac3d964b81592e64f957ad53df015803288")
+        (url "https://github.com/danwakefield/fnmatch"))
+    (package
+     (name "go-github-com-danwakefield-fnmatch")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0cbf511ppsa6hf59mdl7nbyn2b2n71y0bpkzbmfkdqjhanqh1lqz"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/danwakefield/fnmatch"))
+     (home-page url)
+     (synopsis "Updated clone of kballards golang fnmatch
+ gist (https://gist.github.com/kballard/272720)")
+     (description "Updated clone of kballards golang fnmatch
+gist (https://gist.github.com/kballard/272720)")
+     (license license:bsd-2))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:42 2019
Received: from localhost ([127.0.0.1]:35022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPr0-0007BZ-65
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqv-0007As-0V
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:37 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhD4Nk1zDtVV
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965916; bh=6EV/kjTXk0fwT+G96p5PfcblHrHGB67CM0b1AwPUtC8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=fjjzGhbsJ8OFVa6sANDw0rvL9c85sFFFqvaOZntwOQ3nYgqetNBBOsGc8m/Mdx7uE
 ykDEfwKtFVwG4jDdRMjtJKkCET8BuAjCuuo57h+S5dazy2KghZOOZJTJryMN5bFZIv
 W3rf84/7DDtZxZpa7GaOpvkeeg6fN7iqc1rcwZFk=
X-Riseup-User-ID: CEC532C2D7063AE73E7A464125CD3045FA2F1CC2CFD7EA09398E61B0BFC2EEE3
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhC6Hp1zJsBs;
 Tue,  1 Oct 2019 14:38:35 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 02/24] added go package go-github-com-mattn-go-pointer
Date: Tue,  1 Oct 2019 17:37:04 -0400
Message-Id: <20191001213726.21676-2-mjbecze@HIDDEN>
In-Reply-To: <20191001213726.21676-1-mjbecze@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
 <20191001213726.21676-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-github-com-mattn-go-pointer): added pacakge
---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bf1a45f135..4b78c48b84 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2074,6 +2074,31 @@ terminal.")
 makes it possible to handle ANSI color escapes on Windows.")
       (license license:expat))))
 
+(define-public go-github-com-mattn-go-pointer
+  (let ((commit "a0a44394634f41e4992b173b24f14fecd3318a67")
+        (url "https://github.com/mattn/go-pointer"))
+    (package
+      (name "go-github-com-mattn-go-pointer")
+      (version (git-version "0.0.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit commit)))
+         (sha256
+          (base32
+           "09w7hcyc0zz2g23vld6jbcmq4ar27xakp1ldjvh549i5izf2anhz"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "github.com/mattn/go-pointer"))
+      (home-page url)
+      (synopsis "Utility for cgo")
+      (description "Utility for cgo")
+      (license license:expat))))
+
+
 (define-public go-github-com-mgutz-ansi
   (let ((commit "9520e82c474b0a04dd04f8a40959027271bab992")
         (revision "0"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:38:42 2019
Received: from localhost ([127.0.0.1]:35016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPqv-0007B3-HW
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:42 -0400
Received: from mx1.riseup.net ([198.252.153.129]:53174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPqu-0007Aq-Cj
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:38:37 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXhC4JG8zFbg9
 for <37444 <at> debbugs.gnu.org>; Tue,  1 Oct 2019 14:38:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965915; bh=cbvLCYQxSSW3fBopGbHfxhGPkBEkGWeqJjdfD5Aej64=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=n9h9g1ETAQpkmveNMWct3FZQS73u1YJXJFE+66FjE98onBNvzEOaSuHLEK8vt+vkU
 PKBgW38VgBSLE+v+au372wRTPptsyHSC2xZY0m0V6CIufwwTy7itNtnX8rbWx2aeqJ
 IupRUNLQrgB15SxAIGRC51Wsh0EkAE5VnU54Lh9I=
X-Riseup-User-ID: C212B25F9A074AE6A86C3242F57DEC2BBC55956BAE561D62C01D2E04265089A1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXhB66SmzJsBs;
 Tue,  1 Oct 2019 14:38:34 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v4 01/24] added go package go-golang-org-x-oauth2
Date: Tue,  1 Oct 2019 17:37:03 -0400
Message-Id: <20191001213726.21676-1-mjbecze@HIDDEN>
In-Reply-To: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
References: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

* gnu/packages/golang.scm (go-golang-org-x-oauth2): add package
---
 gnu/packages/golang.scm | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 819cc6229e..bf1a45f135 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -16,7 +16,8 @@
 ;;; Copyright @ 2019 Giovanni Biscuolo <g@HIDDEN>
 ;;; Copyright @ 2019 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2019 Arun Isaac <arunisaac@HIDDEN>
-;;;
+;;; Copyright © 2019 Martin Becze <mjbecze@HIDDEN>
+;;
 ;;; This file is part of GNU Guix.
 ;;;
 ;;; GNU Guix is free software; you can redistribute it and/or modify it
@@ -1348,6 +1349,34 @@ limiting in Go.")
     (description "This package provides @{terminal}, which implements support
 functions for dealing with terminals, as commonly found on UNIX systems.")))
 
+(define-public go-golang-org-x-oauth2
+  (let ((commit "0f29369cfe4552d0e4bcddc57cc75f4d7e672a33")
+        (url "https://go.googlesource.com/oauth2"))
+    (package
+      (name "go-golang-org-x-oauth2")
+      (version (git-version "0.0.0" "0" commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url url)
+                      (commit commit)))
+                (file-name (string-append "go.googlesource.com-oauth2-"
+                                          version "-checkout"))
+                (sha256
+                 (base32
+                  "06jwpvx0x2gjn2y959drbcir5kd7vg87k0r1216abk6rrdzzrzi2"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "golang.org/x/oauth2"))
+      (propagated-inputs
+       `(("go-golang-org-x-net-context" ,go-golang-org-x-net-context)))
+      (synopsis "This package contains a client implementation for OAuth 2.0
+ spec.")
+      (description "This package contains a client implementation for OAuth 2.0
+ spec.")
+      (home-page url)
+      (license license:bsd-3))))
+
 (define-public go-github-com-burntsushi-toml
   (package
     (name "go-github-com-burntsushi-toml")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 1 Oct 2019 21:34:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 01 17:34:34 2019
Received: from localhost ([127.0.0.1]:35011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iFPmz-00074e-UU
	for submit <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:34:34 -0400
Received: from mx1.riseup.net ([198.252.153.129]:50902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iFPmx-00074W-Pw
 for 37444 <at> debbugs.gnu.org; Tue, 01 Oct 2019 17:34:32 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46jXbV75K6zDtVV;
 Tue,  1 Oct 2019 14:34:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569965671; bh=NY4lHfo6KSXzm73xcpR6q348biYA21BGn86v+OpP0As=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=F2rp+d9hOHqtQUia1juLO0ZPGZ4SCwo7qJKKzNyF1pmmLEEzU/30NQ0zhm03tFuBR
 mcsjsZio0aCfwdnbG2k+27wrXW+hC+ubsDAnytrmmDDJdgcoEOSnzZLryIig1cVLe1
 xKrCCBLqYpDkT7cu+eigoiOFo5G9oDqWUCYzYfsI=
X-Riseup-User-ID: 5C9BE822AD8E8EB12EC09E0576C773AB4304446CF7D64CF9975AF5DAFA16532C
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46jXbV65qLzJsBk;
 Tue,  1 Oct 2019 14:34:30 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Tue, 01 Oct 2019 14:34:30 -0700
From: Martin Becze <mjbecze@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its
 dependcies
In-Reply-To: <87blv7pfdi.fsf@HIDDEN>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN> <574a6c68d80bb669bbbaac7ebede8f9c@HIDDEN>
 <87blv7pfdi.fsf@HIDDEN>
Message-ID: <a4c7b0d6ed94267bb60103a78b71b02c@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Ricardo Wurmus <rekado@HIDDEN>, 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2019-09-26 09:37, Ludovic Courtès wrote:
> Hi Martin,
> 
> Martin Becze <mjbecze@HIDDEN> skribis:
> 
>> On 2019-09-18 09:01, Ricardo Wurmus wrote:
>>> Hi Martin,
>>>
>>>> This adds aerc, which is a terminal based email client written in go.
>>>
>>> Thank you for your patch!
>>>
>>> Could you please separate the independent changes into separate commits
>>> and add commit summaries?  For example, the update of
>>> go-github-com-mitchellh-go-homedir should be done separately.
>>>
>>> Please also explain why “inputs” had to be changed to
>>> “propagated-inputs” in some packages, and mention these kind of changes
>>> in the commit summary.
>>>
>>> Thanks!
>>
>> just bumping, updated patch has been made and split into commits now.
>> https://issues.guix.gnu.org/issue/37444 let me know if that is ok
> 
> Like Ricardo mentioned, it would be great if patch #1 were split into
> several commits, one per new package.  That’s how we usually do it.
> 
> I saw your commit logs provide explanations.  However, they are all on
> the “subject line” of the commit log.  Could you take a look at
> <https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html>
> regarding the format of commit logs, or run, say, “git log
> gnu/packages/golang.scm” to view examples?
> 
> I could do these changes on your behalf, but I’d rather let you do it to
> make sure I don’t mess up or misrepresent what you did!
> 
> Thanks,
> Ludo’.

ohhh i think i finally figured it out. (but not how to use
add-change-log-entry, it looks like ppl are using that to generate the
messages somehow?) anyways, v4 incoming!




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:04 2019
Received: from localhost ([127.0.0.1]:44353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbk-0004RR-5q
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:04 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbK-0004Pg-Oz
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:38 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZk2yvjzDrl3;
 Thu, 26 Sep 2019 08:22:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511358; bh=2V4pJJDioSNy8AJLWQ4Muo4ew9TUi5iD3hXKNphbW+8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=XHzMg6ET2o9SvSN1RRWDfPL8YfN+c9gyjXWpxcJlY+eQxqyMSz4KqIhOsQQcl/SHy
 CYWw498m4hFfh2R0pZEwOhZ8gu1DfMeCbhfgyDSKhvAfir/tCOpbntXLRfqakcdmWw
 uxBUdmQXNuq08XcjfY+8cntS28SPeI21t9Q78P+Q=
X-Riseup-User-ID: 06D9834FA4F4504D15690ED1539AC50BCFEC9AC6AC06700117E9C12ED023E9ED
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZj24xjzJxbr;
 Thu, 26 Sep 2019 08:22:37 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 23/23] progagated inputs for gdamore-encoding,
 since this is a source only package and the go compiler needs its
 dependency when used as an input in another package
Date: Thu, 26 Sep 2019 11:21:18 -0400
Message-Id: <20190926152118.8073-23-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 628b5786b8..4825344fc8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3436,7 +3436,7 @@ colorspaces.")
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/gdamore/encoding"))
-    (inputs
+    (propagated-inputs
      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
     (home-page "https://github.com/gdamore/encoding")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:04 2019
Received: from localhost ([127.0.0.1]:44349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbi-0004R5-Qw
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:03 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbI-0004PR-2K
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:37 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZg4YbBzFbJh;
 Thu, 26 Sep 2019 08:22:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511355; bh=8hTNzVXtveDth+Y05mVfihLYKUWf4Xx8FlXKujk5Ix4=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=YzzPFwU4dKJlRhlD6dvA4slTX+VxJnV5uu/wuQ2uthii/kVEVzW85B5P8+By8XJdh
 HLgZkR1mMRU3G1MUWRvUBQ5slarD2nBQhC5EKCsZ4jwVJlofHeqfzUGpzCMI29+HoX
 FGZrT4H9vo82zVtVHcm9N4Vz5xUg9sOfnHmk8W8w=
X-Riseup-User-ID: 44EA246EA756830CFB964403D3BFF00877DEC950E8B9FA1658D49DAC1E21A7FF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZf3xkwzJxbr;
 Thu, 26 Sep 2019 08:22:34 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 21/23] added aerc, a simple email client
Date: Thu, 26 Sep 2019 11:21:16 -0400
Message-Id: <20190926152118.8073-21-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=OBOA
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/mail.scm | 81 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 81 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 3d5417bfb5..7631438e0a 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -74,6 +75,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages groff)
   #:use-module (gnu packages gsasl)
   #:use-module (gnu packages gtk)
@@ -111,6 +113,7 @@
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages texinfo)
+  #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
@@ -133,6 +136,7 @@
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system guile)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system trivial))
@@ -3082,3 +3086,80 @@ related tools to process winmail.dat files.")
 complement or replace traditional mailing lists.  Readers may read via NNTP,
 Atom feeds or HTML archives.")
      (license agpl3+))))
+
+(define-public aerc
+  (let ((url "https://git.sr.ht/~sircmpwn/aerc"))
+    (package
+      (name "aerc")
+      (version "0.2.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit version)))
+         (sha256
+          (base32
+           "0l063pnz02r4jsg0kd9jp8m5nq10n5q9zdjpx26gfnd9ww4fs46h"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "git.sr.ht/~sircmpwn/aerc"
+         #:install-source? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'setup-go-environment 'setup-make-environment
+             (lambda* (#:key outputs #:allow-other-keys)
+               (setenv "PREFIX" (assoc-ref outputs "out"))
+               #t))
+           (replace 'build
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make"))))
+           (replace 'install
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make" "install"))))
+           (add-after 'install 'wrap-program
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let ((ncurses (assoc-ref inputs "ncurses"))
+                     (out (assoc-ref outputs "out")))
+                 (wrap-program (string-append out "/bin/aerc")
+                   `("PATH" ":" prefix (,(string-append ncurses "/bin")))))
+               #t)))))
+      (inputs
+       `(("ncurses" ,ncurses)))
+      (native-inputs
+       `(("scdoc" ,scdoc)
+         ("automake" ,automake)
+         ("go-git-sr-ht-sircmpwn-getopt" ,go-git-sr-ht-sircmpwn-getopt)
+         ("go-git-sr-ht-sircmpwn-pty" ,go-git-sr-ht-sircmpwn-pty)
+         ("go-git-sr-ht-sircmpwn-tcell" ,go-git-sr-ht-sircmpwn-tcell)
+         ("go-github-com-danwakefield-fnmatch"
+	 ,go-github-com-danwakefield-fnmatch)
+         ("go-github-com-ddevault-go-libvterm"
+	 ,go-github-com-ddevault-go-libvterm)
+         ("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+         ("go-github-com-emersion-go-imap-idle"
+	 ,go-github-com-emersion-go-imap-idle)
+         ("go-github-com-emersion-go-maildir" ,go-github-com-emersion-go-maildir)
+         ("go-github-com-emersion-go-message" ,go-github-com-emersion-go-message)
+         ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+         ("go-github-com-emersion-go-smtp" ,go-github-com-emersion-go-smtp)
+         ("go-github-com-fsnotify-fsnotify" ,go-github-com-fsnotify-fsnotify)
+         ("go-github-com-go-ini-ini" ,go-github-com-go-ini-ini)
+         ("go-github-com-google-shlex" ,go-github-com-google-shlex)
+         ("go-github-com-kyoh86-xdg" ,go-github-com-kyoh86-xdg)
+         ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
+         ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-github-com-miolini-datacounter" ,go-github-com-miolini-datacounter)
+         ("go-github-com-mitchellh-go-homedir"
+	 ,go-github-com-mitchellh-go-homedir)
+         ("go-github-com-pkg-errors" ,go-github-com-pkg-errors)
+         ("go-github-com-riywo-loginshell" ,go-github-com-riywo-loginshell)
+         ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+      (home-page url)
+      (synopsis "An email client for your terminal")
+      (description "Join the IRC channel: #aerc on irc.freenode.net for end-user
+ support, and #aerc-dev for development.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:02 2019
Received: from localhost ([127.0.0.1]:44347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbi-0004Qv-Db
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:02 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43152)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbJ-0004PU-DD
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:37 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZj04jvzDrSx;
 Thu, 26 Sep 2019 08:22:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511357; bh=CDa2ht6eMM+n2Y+rZXAlzclaa2ZjakUB+9VPogZsDXA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=A2hujpQWPc910VLQIYC7ZGvMbDPLiyDaoSnvjv+MTYWkepSw3H6OxchGuwn+BZqv9
 Ph5xJDY3EPq6zwpS6uKJaz6isjF3ZyASV+E7E5yTuE9BAimhlSwBuxZeZLxSKc8s3m
 wmJ4HEDHDU4IgmQdE73rwBoEX3S8wrxT3Lq3Q41k=
X-Riseup-User-ID: 2DC612B3996445CE005AD0D2B4E0C02648DA6A6CAFDE9477DEF711D59961DC5E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZg6X6FzJxbr;
 Thu, 26 Sep 2019 08:22:35 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 22/23] updated go-github-com-mitchellh-go-homedir to
 version 1.1.0
Date: Thu, 26 Sep 2019 11:21:17 -0400
Message-Id: <20190926152118.8073-22-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 066ea4ee6f..628b5786b8 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2972,28 +2972,27 @@ statistics for wrapped connections.")
       (license license:expat))))
 
 (define-public go-github-com-mitchellh-go-homedir
-  (let ((commit "ae18d6b8b3205b561c79e8e5f69bff09736185f4")
-        (revision "0"))
     (package
       (name "go-github-com-mitchellh-go-homedir")
-      (version (git-version "1.0.0" revision commit))
+      (version "1.1.0")
       (source
        (origin
          (method git-fetch)
          (uri (git-reference
                (url "https://github.com/mitchellh/go-homedir.git")
-               (commit commit)))
+               (commit (string-append "v" version))))
          (file-name (git-file-name name version))
          (sha256
           (base32
-           "0f0z0aa4wivk4z1y503dmnw0k0g0g403dly8i4q263gfshs82sbq"))))
+           "0ydzkipf28hwj2bfxqmwlww47khyk6d152xax4bnyh60f4lq3nx1"))))
       (build-system go-build-system)
       (arguments
        (quote (#:import-path "github.com/mitchellh/go-homedir"
                ;; TODO: Tests fail because it tries to access home.
                #:tests? #f)))
       (home-page "https://github.com/mitchellh/go-homedir")
-      (synopsis "Go library for detecting and expanding the user's home directory without cgo")
+      (synopsis "Go library for detecting and expanding the user's home 
+directory without cgo")
       (description "This is a Go library for detecting the user's home
 directory without the use of @command{cgo}, so the library can be used in
 cross-compilation environments.
@@ -3008,7 +3007,7 @@ package cannot cross compile.  But 99% of the time the use for
 @command{os/user} is just to retrieve the home directory, which we can do for
 the current user without cgo.  This library does that, enabling
 cross-compilation.")
-      (license license:expat))))
+      (license license:expat)))
 
 (define-public go-github-com-multiformats-go-multiaddr
   (let ((commit "fe1c46f8be5af4aff4db286e08839295bd922efb")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:02 2019
Received: from localhost ([127.0.0.1]:44345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbh-0004Qn-W1
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:02 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbG-0004PK-Ld
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:35 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZf1xD7zDvwh;
 Thu, 26 Sep 2019 08:22:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511354; bh=7Jua/fakMfVhOT2Q2Wf80FlvwN+0PqFoTYtgWzS6mgs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=qa4HCxK5zmD2JwsCPfAtTdYAHy3VciovNxQULUA8oGhCXJE6AP8qt4aM6Zu6Ns+/z
 9AW3X6kLxtO1+IxR6GeeOR6Osv3TktIZ23XCZclTQQoDcpVao0cyVqmDtvv26Flufe
 DDlxAq+u1cfZqyrxk6o7m5Zq5sW1rSjOUCOx0Wxo=
X-Riseup-User-ID: B6986D56FD4BE0C689756058DC8136CB9015531189536AD40DF678082FA16BFD
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZd1LySzJxbr;
 Thu, 26 Sep 2019 08:22:33 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 20/23] added go package go-git-sr-ht-sircmpwn-tcell
Date: Thu, 26 Sep 2019 11:21:15 -0400
Message-Id: <20190926152118.8073-20-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 46 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b925f5df95..066ea4ee6f 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4213,3 +4213,49 @@ quoting, commenting, and escaping.")
      (synopsis "A Go package for using unix pseudo-terminals")
      (description "Pty is a Go package for using unix pseudo-terminals.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-tcell
+  (let ((commit "3fdb6bc01a5035fe7cd57b9b0b56166a44db8620")
+        (version "0.0.0"))
+    (package
+      (name "go-git-sr-ht-sircmpwn-tcell")
+      (version (git-version version "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.sr.ht/~sircmpwn/tcell")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1g7vx0qzwp6wsp47l2rabmkrxp7x3z8s94gjf6722z7sfb8xybas"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/gdamore/tcell"
+         #:unpack-path "github.com/gdamore/tcell"
+         #:phases
+         (modify-phases %standard-phases
+           (add-before 'reset-gzip-timestamps 'make-files-writable
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; Make sure .gz files are writable so that the
+               ;; 'reset-gzip-timestamps' phase can do its work.
+               (let ((out (assoc-ref outputs "out")))
+                 (for-each make-file-writable
+                           (find-files out "\\.gz$"))
+                 #t))))))
+      (propagated-inputs
+       `(("go-golang-org-colorful" ,go-golang-org-colorful)
+         ("go-github-com-gdamore-encoding" ,go-github-com-gdamore-encoding)))
+      (inputs
+       `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+         ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)
+         ("go-golang-org-x-sys-unix" ,go-golang-org-x-sys-unix)))
+      (home-page "https://github.com/gdamore/tcell")
+      (synopsis "Provide a cell-based view for text terminals")
+      (description "This package includes a full parser and expander for
+terminfo capability strings to avoid hard-coding escape strings for
+formatting.  It also favors portability, and includes support for all POSIX
+systems.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:02 2019
Received: from localhost ([127.0.0.1]:44342 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbh-0004QZ-L3
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:01 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43070)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbF-0004P5-9y
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:33 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZc6VBWzDrP3;
 Thu, 26 Sep 2019 08:22:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511352; bh=/HqTKBB6k5JEd1OiSz2slsw+Gdaw0wHyrde1rJjb8eo=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=eVlS7s46ZtfMFPZVAnBxlXTFeZh1H13Nj07UiNCEiAcQz2MeF/Lr80fkREV2TPqbD
 SMSQU/A1XGavZvaRL+8RElwC7lvgPr6qj+s13+0uAEX1uY8QqEKtKy2VrOx7UbBnE9
 jpre10cbiKkRwcPFXOnS3xYP6ebp3291oXG0jB+0=
X-Riseup-User-ID: 42D0166433D1EEA8F08E6E140C80C243D29476D4F034425BE61C94556A9DCB4F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZb5rlWzJxbr;
 Thu, 26 Sep 2019 08:22:31 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 19/23] added go package go-git-sr-ht-sircmpwn-pty
Date: Thu, 26 Sep 2019 11:21:14 -0400
Message-Id: <20190926152118.8073-19-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index fb85c4f5b7..b925f5df95 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4189,3 +4189,27 @@ quoting, commenting, and escaping.")
      (description "A POSIX-compatible getopt implementation for Go, because
  POSIX getopt is The Correct Way to interpret arguments to command line utilities.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-pty
+  (let ((commit "3a43678975a9cb13dbcf05ea7a1611ebce3eadb2")
+        (url "https://git.sr.ht/~sircmpwn/pty"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-pty")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1spa779vb2j1vgwm1cpbmf7f8wj6zwyyy49ihz134izvah7vncsw"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/pty"))
+     (home-page url)
+     (synopsis "A Go package for using unix pseudo-terminals")
+     (description "Pty is a Go package for using unix pseudo-terminals.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:23:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:23:01 2019
Received: from localhost ([127.0.0.1]:44340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbh-0004QI-85
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:23:01 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbD-0004OW-UJ
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:32 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZb3xVVzDqlp;
 Thu, 26 Sep 2019 08:22:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511351; bh=MNiC7c2TEN6bxAu+ra9BRC071OW9MGJm1pzm+0Pv9Ns=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=EKl87liVgHDm0QTTk8IB8NpdwN1M4yh7va5qz+hgXpdYoR520XKeFuLY4AHms9Ecx
 Az1LQvfsij0WW2LTQ+1ozoe5NpsPoXO3lR2gcu5xymrvjQWfsqvIfk7NCeO+oG8xhq
 pkPxTXmpQx2NiEmKv8+W3NcWzgsC30Rj+DIh+Z/Q=
X-Riseup-User-ID: 9BF411B84B807C04C398C7CA93815CCED96E2FB459A677F80515298EB42C9A19
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZZ3CNwzJxbr;
 Thu, 26 Sep 2019 08:22:30 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 18/23] added go package go-git-sr-ht-sircmpwn-getopt
Date: Thu, 26 Sep 2019 11:21:13 -0400
Message-Id: <20190926152118.8073-18-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9fcf8d8b49..fb85c4f5b7 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4162,3 +4162,30 @@ quoting, commenting, and escaping.")
      (synopsis "A golang library to get the login shell of the current user")
      (description "A golang library to get the login shell of the current user.")
      (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-getopt
+  (let ((commit "daaf1274538b02b41238d1e6c219186c76af3b8c")
+        (url "https://git.sr.ht/~sircmpwn/getopt"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-getopt")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0qf9kmzs3h4vzcbc1ha0z68ivckzvl7jq9jwb8rbbaq0d1a6baq7"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/getopt"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "A POSIX-compatible getopt implementation for Go")
+     (description "A POSIX-compatible getopt implementation for Go, because
+ POSIX getopt is The Correct Way to interpret arguments to command line utilities.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:33 2019
Received: from localhost ([127.0.0.1]:44333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbE-0004Oz-S6
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:33 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43024)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbC-0004Np-Gn
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZZ17ymzDxHH;
 Thu, 26 Sep 2019 08:22:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511350; bh=LCE5LamQF2ShmMjN1YfmroyK4nRycY8erooUjQFqy/w=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=iyIZE+mmhYwmUK9KsPo2p4GeA7WIkhEcOlFWQlIiXXfVU6YnTuhJAdLPwGJ/mz6HZ
 rYIqpGiTowmVKrIP2ifrD96zcMQxtuCvDfidx8zQyTr1Y7+hV/aHueDT9TchYGBXOJ
 I1AzXykxnI7MvKy/paGeTz65WoqVIFtfVABDM/ag=
X-Riseup-User-ID: D516A836C59E02A31BB665972EA728FD1333E26B5993922D31C38D858A35F64F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZY0g8KzJxbr;
 Thu, 26 Sep 2019 08:22:28 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 17/23] added go package go-github-com-riywo-loginshell
Date: Thu, 26 Sep 2019 11:21:12 -0400
Message-Id: <20190926152118.8073-17-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bb00230b60..9fcf8d8b49 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4137,3 +4137,28 @@ quoting, commenting, and escaping.")
      (synopsis "Golang counters for readers/writers")
      (description "Golang counters for readers/writers")
      (license license:expat))))
+
+(define-public go-github-com-riywo-loginshell
+  (let ((url "https://github.com/riywo/loginshell")
+        (commit "2ed199a032f65b5e6a0a1294abc96b7d3efade86"))
+    (package
+     (name "go-github-com-riywo-loginshell")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1chhpp22kd3r2h84206bvdjj6815n4r6pjq8n9jhav9mfal4qvzj"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/riywo/loginshell"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "A golang library to get the login shell of the current user")
+     (description "A golang library to get the login shell of the current user.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:32 2019
Received: from localhost ([127.0.0.1]:44331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbE-0004Or-GP
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVbB-0004Na-6N
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:29 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZX5n01zDqG0;
 Thu, 26 Sep 2019 08:22:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511348; bh=yrN31wk8vTqQ5+PmvclJpVQxIsm+j9l8ce4bE1mTQno=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=f4EGjOdyEQ5WK8TcHEzsBZU10/M7i+X7AHHdzd+q3SSAbqkPUqHDxSwF27aJrT+fE
 Qd5Uc3iU3dROSuOyQ91g6qGRMctQ9qtpPBVfaVycHOp0cbv09WgzEplULgcJrC7MQA
 lTQIBZE3CkhhBjiII9XxDhRMrJrUAfX8xAyApfXw=
X-Riseup-User-ID: 578DFE34CDA0DF1740996DE705AEF9DAD81BDA4F75BEE4E2A049173E13F0A512
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZW5B1SzJxbr;
 Thu, 26 Sep 2019 08:22:27 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 16/23] added go package go-github-com-miolini-datacounter
Date: Thu, 26 Sep 2019 11:21:11 -0400
Message-Id: <20190926152118.8073-16-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 487a963ff0..bb00230b60 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4113,3 +4113,27 @@ quoting, commenting, and escaping.")
      (description "Implements Base36 encoding and decoding, which is useful to
  represent large integers in a case-insensitive alphanumeric way.")
      (license license:expat))))
+
+(define-public go-github-com-miolini-datacounter
+  (let ((url "https://github.com/miolini/datacounter")
+        (commit "aa48df3a02c1fbcd3040271f631887991c3071fb"))
+    (package
+     (name "go-github-com-miolini-datacounter")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "12ldh5jhafjhh3jvh979mldwygkkcnm97axs7dhlai6gqwlhls87"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/miolini/datacounter"))
+     (home-page url)
+     (synopsis "Golang counters for readers/writers")
+     (description "Golang counters for readers/writers")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:32 2019
Received: from localhost ([127.0.0.1]:44329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbE-0004Of-45
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb9-0004NT-Qr
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:28 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZW3CgtzDrmq;
 Thu, 26 Sep 2019 08:22:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511347; bh=IdYTp6g345Ms2+Ih1ePa1UwIpsJGAh6lbR1ozU9Y0sk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=oEIDd6mGcm1Nw1BuXMGGVhew21BDbe7t/8j0U1pfDlQ6kzmNzeFLlIbuFCNRxbGP1
 HVpZMaOGEhavob6lbHharzfO/sZLqadEpDYAo4Z/BCMvjLwlZZQKY2FW3jPQqjUIoS
 zMDgKtgQ42PTnplvrtf/UmJZyy5hZO3JPjwoXO6s=
X-Riseup-User-ID: 3576B4CA14B7310C709DDD0216AB3D332CE01ADDFC822AA9437FFE1FF506BEF0
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZV2YWbzJxbr;
 Thu, 26 Sep 2019 08:22:26 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 15/23] added go package go-github-com-martinlindhe-base36
Date: Thu, 26 Sep 2019 11:21:10 -0400
Message-Id: <20190926152118.8073-15-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ccb11a83c0..487a963ff0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4087,3 +4087,29 @@ quoting, commenting, and escaping.")
      (description "Light weight helper functions in golang to get config, data
  and cache files according to the XDG Base Directory Specification.")
      (license license:expat))))
+
+(define-public go-github-com-martinlindhe-base36
+  (let ((url "https://github.com/martinlindhe/base36"))
+    (package
+     (name "go-github-com-martinlindhe-base36")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "0hib6cnx543fxbcy7fm3kcfz8ajhd90kxzbld49qi7w930pcz26c"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/martinlindhe/base36"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "Implements Base36 encoding and decoding")
+     (description "Implements Base36 encoding and decoding, which is useful to
+ represent large integers in a case-insensitive alphanumeric way.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:32 2019
Received: from localhost ([127.0.0.1]:44326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbD-0004OY-PZ
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb7-0004NF-Gq
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:27 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZS67kszDq91;
 Thu, 26 Sep 2019 08:22:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511344; bh=MC4NQiJ0YNLQo8ktzSyBS+iGackEw9UNzXh3Un4Gl8I=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=pQa8WXbkzBRATBiieifie27f4HFYRkcGj9nwTznZs+GAhlov+3RY/0/A4eamcWZbn
 6OjM/w0n62N9lj/dItCBaXvBF8UXFQ17amm7er/zIuw7dPLbmo9urSkx11wsuJz4m4
 bOQtySQvfqJebA36Ngt7dcj/7PznPKbmyFlmaPE0=
X-Riseup-User-ID: 6477EA01297AD8BA5A0F6A3BA37BB833F21B4D883738B7F9969CF16D1B9A1E3D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZR4Z45zJxcY;
 Thu, 26 Sep 2019 08:22:23 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 13/23] added go package go-github-com-google-shlex
Date: Thu, 26 Sep 2019 11:21:08 -0400
Message-Id: <20190926152118.8073-13-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 9245965613..6c178a2102 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4037,3 +4037,28 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "Package ini provides INI file read and write functionality in Go")
      (description "Package ini provides INI file read and write functionality in Go.")
      (license license:asl2.0))))
+
+(define-public go-github-com-google-shlex
+  (let ((commit "c34317bd91bf98fab745d77b03933cf8769299fe")
+        (url "https://github.com/google/shlex"))
+    (package
+     (name "go-github-com-google-shlex")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "00qivza4hkllfkar2vpqmyxybi0fwqipgijv61dgapq4xddxdq0r"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/google/shlex"))
+     (home-page url)
+     (synopsis "A simple lexer")
+     (description "go-shlex is a simple lexer for go that supports shell-style 
+quoting, commenting, and escaping.")
+     (license license:asl2.0))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:31 2019
Received: from localhost ([127.0.0.1]:44324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbD-0004OP-FC
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb8-0004NH-F6
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:27 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZV0jYWzDrSx;
 Thu, 26 Sep 2019 08:22:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511346; bh=XgTDpAvgqrM9b++p745SFqIY/gx9YSM+RTG2iURrjZA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Emqx9HQKxNLzA21d18Oyh30+WnO/3kcof/3HZS0wu6smDZ5yKp7OhW9/9HIxnSPqK
 9imVTkEzUL+M9GSOavH409g+KfEuZsn5z0YNZCCB0WAWsgr5ryld554dzid0W27jP2
 Z0HMY/5Lh3txOAM4o12ZA/Z9RwgwIQ1jY90FZyOU=
X-Riseup-User-ID: 9A3D10343024C9001F8E09F632E711DD127F018405A0DE013C0A7947EAD69DE9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZT01vTzJxbr;
 Thu, 26 Sep 2019 08:22:24 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 14/23] added go package go-github-com-kyoh86-xdg
Date: Thu, 26 Sep 2019 11:21:09 -0400
Message-Id: <20190926152118.8073-14-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 6c178a2102..ccb11a83c0 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4062,3 +4062,28 @@ gist (https://gist.github.com/kballard/272720)")
      (description "go-shlex is a simple lexer for go that supports shell-style 
 quoting, commenting, and escaping.")
      (license license:asl2.0))))
+
+(define-public go-github-com-kyoh86-xdg
+  (let ((url "https://github.com/kyoh86/xdg"))
+    (package
+     (name "go-github-com-kyoh86-xdg")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "02wrm9rl6qqv3nr2n5yariwg1rgr7w76l1sp0ak1kxin1y184ivf"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/kyoh86/xdg"))
+     (home-page url)
+     (synopsis "Light weight helper functions in golang to get config, data and
+ cache files according to the XDG Base Directory Specification")
+     (description "Light weight helper functions in golang to get config, data
+ and cache files according to the XDG Base Directory Specification.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:31 2019
Received: from localhost ([127.0.0.1]:44322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbD-0004OI-6L
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb5-0004N7-PH
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:24 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZR2m0ZzDq91;
 Thu, 26 Sep 2019 08:22:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511343; bh=ue/IpmFf5fjQZ/PM+RjdFqME5HVktQaV1tAUBBkKex0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=pW1byMv61Bmv7uHWcym5ZkGRsCkITUPcoKzFdcvWvGgGZZV/9yk1sOkbP6q4TgfGu
 C7BNpkyJ3Mjx2jKZEsj3/EEi9wJO5wnInf40snoEQgCIyqFYaCvSBGH5nLrAu3AYpV
 U1rb55Q2zNNP6trgMNCcgMimP6Qic+9DuN7NbCoM=
X-Riseup-User-ID: 6039C605F9E10B855677E2C927133D56E19338A361541606560702A8B65F0FAA
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZQ1zFVzJxbr;
 Thu, 26 Sep 2019 08:22:22 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 12/23] added go package go-github-com-go-ini-ini
Date: Thu, 26 Sep 2019 11:21:07 -0400
Message-Id: <20190926152118.8073-12-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 52bf9ad49a..9245965613 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -4013,3 +4013,27 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "File system notifications for Go")
      (description "File system notifications for Go")
      (license license:bsd-3))))
+
+(define-public go-github-com-go-ini-ini
+  (let ((url "https://github.com/go-ini/ini"))
+    (package
+     (name "go-github-com-go-ini-ini")
+     (version "1.44.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "072fhg4i5k26pxq3kg5y5h9lb9w5ka75jl000q5bjcdv2yf8qhcv"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/go-ini/ini"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "Package ini provides INI file read and write functionality in Go")
+     (description "Package ini provides INI file read and write functionality in Go.")
+     (license license:asl2.0))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:31 2019
Received: from localhost ([127.0.0.1]:44320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbC-0004OB-Tl
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb4-0004Mz-DF
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:22 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZQ02rGzDq91;
 Thu, 26 Sep 2019 08:22:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511342; bh=VAXypA+DO9hBqm3UMW6j81nU74Pfw6qqnppL9MrEORY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=l7/YEOgJxGQGg6CD0noYD3pVZQYYonEc7Cd/ILSjEZWbIoBeJHnef2BLU+LZH97kF
 CBG6Lj2rAsK26yrItk+PuTYTtYpDkLFCuSeITpgnd4BixyeexJSU4IlhgMmMrkwtiH
 kklZvth9aNSmO/bpJ9rWWoyq5ZUw3jBAeNt+E24U=
X-Riseup-User-ID: A7166153FC4170EB76AC9E709A570B39BB45D324FA0B2AFE2319F54B8383C829
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZN6cP9zJxbr;
 Thu, 26 Sep 2019 08:22:20 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 11/23] added go package go-github-com-fsnotify-fsnotify
Date: Thu, 26 Sep 2019 11:21:06 -0400
Message-Id: <20190926152118.8073-11-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 640f9e5f15..52bf9ad49a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3987,3 +3987,29 @@ gist (https://gist.github.com/kballard/272720)")
 @item LMTP support
 @end itemize ")
      (license license:expat))))
+
+(define-public go-github-com-fsnotify-fsnotify
+  (let ((url "https://github.com/fsnotify/fsnotify"))
+    (package
+     (name "go-github-com-fsnotify-fsnotify")
+     (version "1.4.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/fsnotify/fsnotify"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-sys-unix",go-golang-org-x-sys-unix)))
+     (home-page url)
+     (synopsis "File system notifications for Go")
+     (description "File system notifications for Go")
+     (license license:bsd-3))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:30 2019
Received: from localhost ([127.0.0.1]:44318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbC-0004O0-K6
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb3-0004Mr-0v
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:21 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZN4g3hzDq91;
 Thu, 26 Sep 2019 08:22:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511340; bh=x63yVcRq60RqXLpPjxVYqfsDx9D+s1OhBmoy183oFw0=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Z+b4gy6l6IQfHsgWAymKcqC6EsAob3NgeCMNPI7lspp4tKyLH8q0rbgTsb8mT+ORq
 kft1HJTvOjbxqNnZL9tdx2e6lRrQiVgQuNnyH40WjlwkJ2996Zpt4q6xkumLmgCrZ4
 xMqJZCO6pefa/cuJk2cNAwkDu979lD6U5bRDs7/0=
X-Riseup-User-ID: 85C4C20DD0D6F14F1CABFFD9E6D02E632C2ACC720807A5C9D97BC5BAE98C72F0
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZM420NzJxbr;
 Thu, 26 Sep 2019 08:22:19 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 10/23] added go package go-github-com-emersion-go-smtp
Date: Thu, 26 Sep 2019 11:21:05 -0400
Message-Id: <20190926152118.8073-10-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5e347ebc43..640f9e5f15 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3956,3 +3956,34 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A writer that wraps long text lines to a specified length")
      (description "A writer that wraps long text lines to a specified length")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-smtp
+  (let ((url "https://github.com/emersion/go-smtp"))
+    (package
+     (name "go-github-com-emersion-go-smtp")
+     (version "0.11.2")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "08v7x513hxkfyihixp0cdy4cmf2j9hw1yzm7bzy5g95fai71azm0"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-smtp"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)))
+     (home-page url)
+     (synopsis "An ESMTP client and server library written in Go")
+     (description "An ESMTP client and server library written in Go. It features:
+@itemize
+@item ESMTP client & server implementing RFC 532
+@item Support for SMTP AUTH and PIPELINING
+@item UTF-8 support for subject and message
+@item LMTP support
+@end itemize ")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:30 2019
Received: from localhost ([127.0.0.1]:44315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbC-0004Nr-Bm
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb1-0004Mk-My
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:19 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZM2KQ0zDrl3;
 Thu, 26 Sep 2019 08:22:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511339; bh=Tra5BmlpzhRTzYNu1Kr+6wG+59DZYF6GT8Xt+mEY9gs=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=hgOwkoHgNS69Z/HOUeRcGdf5f8IUklLcfQQTHzN2aSognNW8/qkL0/1mlEbtro+xm
 /vlvMuEtWwqUCAKJJzatdBAJYlC+eM2aPxoCnOyF8qKWhI70KkgMTg7QlmNpcduZGa
 Cay0Ggr5j/fLsU+wGJZeL73CIsUNUMAufMQYe+K8=
X-Riseup-User-ID: 99636EC7519692A8C83F44FAD4C4DE25AAFD4216DDB49A10AD5717925197DB6F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZL1QXxzJxbr;
 Thu, 26 Sep 2019 08:22:18 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 09/23] added go package
 go-github-com-emersion-go-textwrapper
Date: Thu, 26 Sep 2019 11:21:04 -0400
Message-Id: <20190926152118.8073-9-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 189f0f1788..5e347ebc43 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3932,3 +3932,27 @@ gist (https://gist.github.com/kballard/272720)")
 @item RFC 2183: Content-Disposition Header Field
 @end itemize")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-textwrapper
+  (let ((url "https://github.com/emersion/go-textwrapper")
+        (commit "d0e65e56babe3f687ff94c1d764ca0e6aa7723ee"))
+    (package
+     (name "go-github-com-emersion-go-textwrapper")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1nw8qpjjbpkz49wd19yg2qsln1dmdfxi83wp2aa819cv6xxf2y7l"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-textwrapper"))
+     (home-page url)
+     (synopsis "A writer that wraps long text lines to a specified length")
+     (description "A writer that wraps long text lines to a specified length")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:30 2019
Received: from localhost ([127.0.0.1]:44313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbC-0004Nj-2Y
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVb0-0004MG-AU
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:18 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZK6fNHzDqG0;
 Thu, 26 Sep 2019 08:22:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511337; bh=bSb645fZ3Lr2ujTHuMmTx4fLHhTDnn47iWWK09chhdY=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=CFuNgzeXzSlB5Gu2wBRT4Z+H+IpPcc7PRF5V4sR4dJgKhyk+MFepELnpEVGM3V3kg
 MtpjrO4pRF8I5IwJ7oGu9mKDA/vJo2qvQ5r+jLtMdtOXoJjjGzPRikesu7sNala6H7
 g5uJhrGUcQghO/U0Y1SOACeR+Ypmv0yP2EI0RleY=
X-Riseup-User-ID: ADA6F42B780EFADDAAD9DD27EC5980A8DD0432990F27FF9D252C674D80EF2CA8
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZJ5z8yzJxcY;
 Thu, 26 Sep 2019 08:22:16 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 08/23] added go package go-github-com-emersion-go-message
Date: Thu, 26 Sep 2019 11:21:03 -0400
Message-Id: <20190926152118.8073-8-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ac9f907911..189f0f1788 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3898,3 +3898,37 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A Go library for maildir")
      (description "A Go library for maildir.")
      (license license:expat))))
+
+
+(define-public go-github-com-emersion-go-message
+  (let ((url "https://github.com/emersion/go-message"))
+    (package
+     (name "go-github-com-emersion-go-message")
+     (version "0.10.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "05s6x6x5k5b4qmfam716b5wi47rrvj702lfkc6gr681z64g2hirb"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-message"))
+     (propagated-inputs
+      `(("go-github-com-emersion-go-textwrapper"
+         ,go-github-com-emersion-go-textwrapper)
+        ("go-github-com-martinlindhe-base36"
+	 ,go-github-com-martinlindhe-base36)))
+     (home-page url)
+     (synopsis "A Go library for the Internet Message Format")
+     (description "A Go library for the Internet Message Format. It implements:
+@itemize
+@item RFC 5322: Internet Message Format
+@item RFC 2045, RFC 2046 and RFC 2047: Multipurpose Internet Mail Extensions
+@item RFC 2183: Content-Disposition Header Field
+@end itemize")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:30 2019
Received: from localhost ([127.0.0.1]:44311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVbB-0004Nh-Qf
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVaz-0004M1-5O
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:17 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZJ409RzDqG0;
 Thu, 26 Sep 2019 08:22:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511336; bh=fhB8dQnBcYwFfW9la/eitrO/TpGkvzrvYwVGsknyWrw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=PT932/DvFHlH0s+GKv+JRE5oETOqn/jvQ57ZtW6qPRlYin23TiihziNN3GIvlTV2h
 Angto3RDB/QU6PEPYScmIRG2GBmtphoF48PQ5RYoQ8MTtNVcJe/4eZzF3m+uUscisb
 /fGBFahKEJbceIM0VcvINmcye6ReSt94Jove+FyQ=
X-Riseup-User-ID: 0A020D4053724E0EA5856E7AC7582AD33214AED0C2D25F2C4D095DE24000900D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZH30sbzJxbr;
 Thu, 26 Sep 2019 08:22:15 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 07/23] added go package go-github-com-emersion-go-maildir
Date: Thu, 26 Sep 2019 11:21:02 -0400
Message-Id: <20190926152118.8073-7-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index b8fb35fb29..ac9f907911 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3873,3 +3873,28 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "IDLE extension for go-imap")
      (description "IDLE extension for go-imap.")
      (license license:expat))))
+
+
+(define-public go-github-com-emersion-go-maildir
+  (let ((url "https://github.com/emersion/go-maildir")
+        (commit "941194b0ac705efac39bd89c5eae6cce84b26202"))
+    (package
+     (name "go-github-com-emersion-go-maildir")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/emersion/go-maildir")
+             (commit commit)))
+       (sha256
+        (base32
+         "10dm0qvjm4payh2hfifwfpz9511fngp2vaf2yrg111di67x1148m"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-maildir"))
+     (home-page url)
+     (synopsis "A Go library for maildir")
+     (description "A Go library for maildir.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:18 2019
Received: from localhost ([127.0.0.1]:44301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVb0-0004MQ-EA
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:18 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVax-0004Lu-Hq
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:15 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZH0ybPzDq91;
 Thu, 26 Sep 2019 08:22:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511335; bh=ktZWQQ+bPtYy73ru0BhlHA+8+Sehe7taOVeORsYVcFw=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=kAo0GxFBE3bepfB5FkUeMjFsSEeVw/CUkS7wL0Mll89WIk0g7UVPSPmvEj4aM+lD3
 te+Aqp1qLaKZ5rVxw3HR5AMb0PSLz5eiu2pdBpuO8+U33wG57HT5cQ1JIFmhcg1m2p
 FgiN7MOxZVlKQAmiRGOy7iJ9TcZHEWAzakRUzjrE=
X-Riseup-User-ID: 8F60789CCA27A4538D723F264BB3C8BE16E119D28070E276A4C0B93D7282533D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZG0P76zJxbr;
 Thu, 26 Sep 2019 08:22:13 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 06/23] add go package go-github-com-emersion-go-imap-idle
Date: Thu, 26 Sep 2019 11:21:01 -0400
Message-Id: <20190926152118.8073-6-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 5da171277c..b8fb35fb29 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3844,3 +3844,32 @@ gist (https://gist.github.com/kballard/272720)")
      (synopsis "A SASL library written in Go")
      (description "A SASL library written in Go.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap-idle
+  (let ((commit "2704abd7050ed7f2143753554ee23affdf847bd9")
+        (url "https://github.com/emersion/go-imap-idle"))
+    (package
+     (name "go-github-com-emersion-go-imap-idle")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0blwcadmxgqsdwgr9m4jqfbpfa2viw5ah19xbybpa1z1z4aj5cbc"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap-idle"))
+     (native-inputs
+      `(("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+        ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "IDLE extension for go-imap")
+     (description "IDLE extension for go-imap.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:18 2019
Received: from localhost ([127.0.0.1]:44298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVb0-0004MI-5G
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:18 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVaw-0004Li-5a
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:14 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZF5X8qzDq91;
 Thu, 26 Sep 2019 08:22:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511333; bh=ZGa6/rLpghQ6x6Lx/VO/mbKRF4e2TXJODcdgmrYEgrk=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=YxnFYfwxS9yZo4G40pYlaBBCeV2JUbZ9eMuEFvkr83rQDFgaWJBoeebU7Tn2d6+B1
 VHpaXt/8fLhikdX4tWJvkb7GJuP45nx8Y2+j8MDcbvKOsIT34/BLRjXQGTjQlY29Ak
 HtDz+SAJgJuT9r2Yrv/dN1ivbvVHVYthxqYB7d5c=
X-Riseup-User-ID: BC15686F94E05C6416EA0F36A5D7D10E9DD5F594DB226A0E12B6C64B335F0564
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZD4wJZzJxbr;
 Thu, 26 Sep 2019 08:22:12 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 05/23] added go package go-github-com-emersion-go-sasl
Date: Thu, 26 Sep 2019 11:21:00 -0400
Message-Id: <20190926152118.8073-5-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index ee4856c469..5da171277c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3820,3 +3820,27 @@ gist (https://gist.github.com/kballard/272720)")
      (description "An IMAP4rev1 library written in Go. It can be used to build
  a client and/or a server.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-sasl
+  (let ((commit "240c8404624e076f633766c16adbe96c7ac516b7")
+        (url "https://github.com/emersion/go-sasl"))
+    (package
+     (name "go-github-com-emersion-go-sasl")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1py18p3clp474xhx6ypyp0bgv6n1dfm24m95cyyqb0k3vibar6ih"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-sasl"))
+     (home-page url)
+     (synopsis "A SASL library written in Go")
+     (description "A SASL library written in Go.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:18 2019
Received: from localhost ([127.0.0.1]:44296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVaz-0004MA-Ry
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:18 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVav-0004LV-L0
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:13 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZD2yMDzDrP3;
 Thu, 26 Sep 2019 08:22:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511332; bh=cgQZCv62K8AWZ6hbj+UWUKfNG3pCqxGpn1pzZSrLiEQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=RWlm6vREwFUM5LWpAEiB8Ozm5SPNM0EtnbugnrkpI0X5mFrJqhkhFMavCSEloGUqK
 CLjymfZt5aatdWF7y6SZQ17/MOG0aqVvjWQNJrrTftwuf+tdmE18P3n273AoWIVZCv
 Pnzv3IvpwrSP1HlRMd/LBg/dn3x+9cxhpb76UEoA=
X-Riseup-User-ID: 495DB4DBACF70861660D989381D865C2202CCC001DAE0B416FCEA34964DFA421
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZB69GfzJxbr;
 Thu, 26 Sep 2019 08:22:10 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 04/23] added go package go-github-com-emersion-go-imap
Date: Thu, 26 Sep 2019 11:20:59 -0400
Message-Id: <20190926152118.8073-4-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 0ea99e40ab..ee4856c469 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3793,3 +3793,30 @@ gist (https://gist.github.com/kballard/272720)")
      (description "This is a personal fork for use with aerc. Breaking changes
  will come unannounced.")
      (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap
+  (let ((url "https://github.com/emersion/go-imap"))
+    (package
+     (name "go-github-com-emersion-go-imap")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1id8j2d0rn9sj8y62xhyygqpk5ygrcl9jlfx92sm1jsvxsm3kywq"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap"))
+     (native-inputs
+      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "An IMAP4rev1 library written in Go")
+     (description "An IMAP4rev1 library written in Go. It can be used to build
+ a client and/or a server.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:17 2019
Received: from localhost ([127.0.0.1]:44294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVaz-0004M8-JU
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:17 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVat-0004LR-0S
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:11 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZB4CNRzDq91;
 Thu, 26 Sep 2019 08:22:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511330; bh=kkf3OIrzlX5ODTxy9ibPnKuQ4aJBGXn7ngTvaQXvMuI=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=MYWKWvjWkKnzRkg2Q71g7yX/Vf8HfgCePQ51dUB+wRoNcgfcHoMCFhKNYH1cHY/qx
 SuP0h3YQSlThgRc8boNj346e5WH03JPLcYBlNHpoxABygRHlfxPYk0W7YFGADcPkLe
 b6BSKSiBn3zpEpFud3cELIRgU7+LeLqnuvMqt81M=
X-Riseup-User-ID: 38E777C1F917C72D332958711B6B41F420A24467748BA893452B944090A7924B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZ93GV8zJxbr;
 Thu, 26 Sep 2019 08:22:09 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 03/23] added go package go-github-com-ddevault-go-libvterm
Date: Thu, 26 Sep 2019 11:20:58 -0400
Message-Id: <20190926152118.8073-3-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f6c3c7673e..0ea99e40ab 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3766,3 +3766,30 @@ sensors).")
      (description "Updated clone of kballards golang fnmatch
 gist (https://gist.github.com/kballard/272720)")
      (license license:bsd-2))))
+
+(define-public go-github-com-ddevault-go-libvterm
+  (let ((commit "b7d861da381071e5d3701e428528d1bfe276e78f")
+        (url "https://github.com/ddevault/go-libvterm"))
+    (package
+     (name "go-github-com-ddevault-go-libvterm")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "06vv4pgx0i6hjdjcar4ch18hp9g6q6687mbgkvs8ymmbacyhp7s6"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/ddevault/go-libvterm"))
+     (propagated-inputs
+      `(("go-github-com-mattn-go-pointer" ,go-github-com-mattn-go-pointer)))
+     (home-page url)
+     (synopsis "Go binding to libvterm")
+     (description "This is a personal fork for use with aerc. Breaking changes
+ will come unannounced.")
+     (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:13 2019
Received: from localhost ([127.0.0.1]:44288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVat-0004LS-7I
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:13 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVar-0004LK-JZ
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:09 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJZ91JPfzDqG0;
 Thu, 26 Sep 2019 08:22:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511329; bh=sB99UO5oDOR+BuYHMtBJ06pqoIVQtSkndtDU6Oicq0U=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Z2kthrMKKvpk5MwGEogsDdK02ll02uJOj8rHRb5KIgikz8pJrqFAJ6nUnGFa0kY8+
 KuztXbOMJZZe3czWeR+jHiA2SZPCnXqFw5c3QKLeQuEvO0xxi0nrz2yHBO7+gTzQzQ
 n46DrreZgJ2beySPAfZVLoqHoi9SntoYGL0FSDpw=
X-Riseup-User-ID: E4BE3A16587518F18AEE94CA9F4BE126D05B2D6F1F4B167B99D995573551A6EF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJZ80VrlzJxbr;
 Thu, 26 Sep 2019 08:22:07 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 02/23] added go package go-github-com-danwakefield-fnmatch
Date: Thu, 26 Sep 2019 11:20:57 -0400
Message-Id: <20190926152118.8073-2-mjbecze@HIDDEN>
In-Reply-To: <20190926152118.8073-1-mjbecze@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN> <20190926152118.8073-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 4b78c48b84..f6c3c7673e 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3740,3 +3740,29 @@ on running processes and system utilization (CPU, memory, disks, network,
 sensors).")
       (home-page "https://github.com/shirou/gopsutil")
       (license license:bsd-3))))
+
+(define-public go-github-com-danwakefield-fnmatch
+  (let ((commit "cbb64ac3d964b81592e64f957ad53df015803288")
+        (url "https://github.com/danwakefield/fnmatch"))
+    (package
+     (name "go-github-com-danwakefield-fnmatch")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0cbf511ppsa6hf59mdl7nbyn2b2n71y0bpkzbmfkdqjhanqh1lqz"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/danwakefield/fnmatch"))
+     (home-page url)
+     (synopsis "Updated clone of kballards golang fnmatch
+ gist (https://gist.github.com/kballard/272720)")
+     (description "Updated clone of kballards golang fnmatch
+gist (https://gist.github.com/kballard/272720)")
+     (license license:bsd-2))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 15:22:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 11:22:00 2019
Received: from localhost ([127.0.0.1]:44283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDVag-0004Kc-FL
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:22:00 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iDVae-0004KS-Dh
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 11:21:56 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 46fJYt4zYSzDq9g;
 Thu, 26 Sep 2019 08:21:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569511315; bh=QZ+Mmlyb867FKY6BjgSahkQD4otRLX0Yp3Jn5UUL4gM=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=Wy/qDUNKWBbpaHK1u2IU29jE95yb5qkwFZHBZs1JxupvPxHbRt3C5KBP3ypitE5tb
 wr51kHyNnclN0UQWLktGQTJ3lfOt7pamO+xzsNbOGynjOtUiKwp40+XqPv0lpz78Rr
 hP1Rz1KaXwQyD2qki36/Jt9xJDeCrm3tatxr2zZA=
X-Riseup-User-ID: C5845FE92341809DFEBE34B8F361BFC08D68420BB5E3879C349D0B0FB95E5A4B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 46fJYs38zvzJxbr;
 Thu, 26 Sep 2019 08:21:53 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v3 01/23] added go package go-github-com-mattn-go-pointer
Date: Thu, 26 Sep 2019 11:20:56 -0400
Message-Id: <20190926152118.8073-1-mjbecze@HIDDEN>
In-Reply-To: <87blv7pfdi.fsf@HIDDEN>
References: <87blv7pfdi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: rekado@HIDDEN, ludo@HIDDEN, Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index bf1a45f135..4b78c48b84 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2074,6 +2074,31 @@ terminal.")
 makes it possible to handle ANSI color escapes on Windows.")
       (license license:expat))))
 
+(define-public go-github-com-mattn-go-pointer
+  (let ((commit "a0a44394634f41e4992b173b24f14fecd3318a67")
+        (url "https://github.com/mattn/go-pointer"))
+    (package
+      (name "go-github-com-mattn-go-pointer")
+      (version (git-version "0.0.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit commit)))
+         (sha256
+          (base32
+           "09w7hcyc0zz2g23vld6jbcmq4ar27xakp1ldjvh549i5izf2anhz"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "github.com/mattn/go-pointer"))
+      (home-page url)
+      (synopsis "Utility for cgo")
+      (description "Utility for cgo")
+      (license license:expat))))
+
+
 (define-public go-github-com-mgutz-ansi
   (let ((commit "9520e82c474b0a04dd04f8a40959027271bab992")
         (revision "0"))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 26 Sep 2019 09:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 05:37:53 2019
Received: from localhost ([127.0.0.1]:42692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDQDg-0006bn-Rf
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 05:37:53 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:59140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iDQDe-0006be-Ry
 for 37444 <at> debbugs.gnu.org; Thu, 26 Sep 2019 05:37:51 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 53C64A5B0E;
 Thu, 26 Sep 2019 11:37:49 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id S1PU2ycN5AHo; Thu, 26 Sep 2019 11:37:46 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2001:660:6102:320:e120:2c8f:8909:cdfe])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 176DBA5B0C;
 Thu, 26 Sep 2019 11:37:45 +0200 (CEST)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Martin Becze <mjbecze@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc,
 a simple email client and its dependcies
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN>
 <574a6c68d80bb669bbbaac7ebede8f9c@HIDDEN>
Date: Thu, 26 Sep 2019 11:37:45 +0200
In-Reply-To: <574a6c68d80bb669bbbaac7ebede8f9c@HIDDEN> (Martin Becze's
 message of "Sun, 22 Sep 2019 01:55:46 -0700")
Message-ID: <87blv7pfdi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 37444
Cc: Ricardo Wurmus <rekado@HIDDEN>, 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Martin,

Martin Becze <mjbecze@HIDDEN> skribis:

> On 2019-09-18 09:01, Ricardo Wurmus wrote:
>> Hi Martin,
>>=20
>>> This adds aerc, which is a terminal based email client written in go.
>>=20
>> Thank you for your patch!
>>=20
>> Could you please separate the independent changes into separate commits
>> and add commit summaries?  For example, the update of
>> go-github-com-mitchellh-go-homedir should be done separately.
>>=20
>> Please also explain why =E2=80=9Cinputs=E2=80=9D had to be changed to
>> =E2=80=9Cpropagated-inputs=E2=80=9D in some packages, and mention these =
kind of changes
>> in the commit summary.
>>=20
>> Thanks!
>
> just bumping, updated patch has been made and split into commits now.
> https://issues.guix.gnu.org/issue/37444 let me know if that is ok

Like Ricardo mentioned, it would be great if patch #1 were split into
several commits, one per new package.  That=E2=80=99s how we usually do it.

I saw your commit logs provide explanations.  However, they are all on
the =E2=80=9Csubject line=E2=80=9D of the commit log.  Could you take a loo=
k at
<https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html>
regarding the format of commit logs, or run, say, =E2=80=9Cgit log
gnu/packages/golang.scm=E2=80=9D to view examples?

I could do these changes on your behalf, but I=E2=80=99d rather let you do =
it to
make sure I don=E2=80=99t mess up or misrepresent what you did!

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 22 Sep 2019 08:56:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 04:56:32 2019
Received: from localhost ([127.0.0.1]:33396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iBxfU-0003eW-7r
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 04:56:32 -0400
Received: from mx1.riseup.net ([198.252.153.129]:48446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iBxfS-0003eO-FN
 for 37444 <at> debbugs.gnu.org; Sun, 22 Sep 2019 04:56:31 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 405D21A658C;
 Sun, 22 Sep 2019 01:55:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1569142589; bh=pBq1uPN8GE7Uo1sD6Z7zoY2qlhpzD4fUbiupcuHnzv0=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=s9oLYG4A1ubopROkGuIFUArxo/3V2bz8GyEjTjKuHHu/jmq2zKtXF8LlcPkgRZ131
 7mCyTmIoAYcjneNi4uMogAVlO5r9wibcN6737frZHQ95kFta0sa0WZx+3bg/KpvWlu
 QjFNX4BPvZONm02Xb8wE1z4jEWXmUNZeXMZSa+XQ=
X-Riseup-User-ID: 66E211C0F1A5B8C0AADBF8E26733031EE98E0AB6F98D46CC92B0195E344F940D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 1A2FC224379;
 Sun, 22 Sep 2019 01:55:47 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Sun, 22 Sep 2019 01:55:46 -0700
From: Martin Becze <mjbecze@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its
 dependcies
In-Reply-To: <87woe6nfka.fsf@HIDDEN>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN>
Message-ID: <574a6c68d80bb669bbbaac7ebede8f9c@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2019-09-18 09:01, Ricardo Wurmus wrote:
> Hi Martin,
> 
>> This adds aerc, which is a terminal based email client written in go.
> 
> Thank you for your patch!
> 
> Could you please separate the independent changes into separate commits
> and add commit summaries?  For example, the update of
> go-github-com-mitchellh-go-homedir should be done separately.
> 
> Please also explain why “inputs” had to be changed to
> “propagated-inputs” in some packages, and mention these kind of changes
> in the commit summary.
> 
> Thanks!

just bumping, updated patch has been made and split into commits now.
https://issues.guix.gnu.org/issue/37444 let me know if that is ok




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 15:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 11:37:38 2019
Received: from localhost ([127.0.0.1]:54725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAc1R-000746-R8
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:38 -0400
Received: from mx1.riseup.net ([198.252.153.129]:40860)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAc1Q-00073z-It
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:36 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 2FBC41A4B83
 for <37444 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 08:37:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568821056; bh=x3LrHudqCGpB/HzioQQszQ+QQQuuEqgi0g/TKJLfbIA=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=R0xkpv80L5sWPZ38Cs30pmBcMW7RWnFVnKw11ZqNdVtelJmeE0KCGPBV7Tnuxht0k
 HD/XRkOq76Ht6rcD0GjdI4U+uyhsHI1kFMOcc/65sMyzGt29ZbYzoCEmIsQ0MNRX8f
 Njy3nmnPaXNR2o8ZMnGjotyAm7cMVMtpn8LNiYGU=
X-Riseup-User-ID: 2584EA9ADC71CF344F26823B1A5C26F45C318B79CB8D1B8044ABDFEBE99033E7
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 5F0CF221BF9;
 Wed, 18 Sep 2019 08:37:35 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v2 4/4] progagated inputs for gdamore-encoding,
 since this is a source only package and the go compiler needs its
 dependency when used as an input in another package
Date: Wed, 18 Sep 2019 11:36:27 -0400
Message-Id: <20190918153626.7825-4-mjbecze@HIDDEN>
In-Reply-To: <20190918153626.7825-1-mjbecze@HIDDEN>
References: <20190918153626.7825-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index e17630017c..06f6226d94 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3435,7 +3435,7 @@ colorspaces.")
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/gdamore/encoding"))
-    (inputs
+    (propagated-inputs
      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
     (home-page "https://github.com/gdamore/encoding")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 15:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 11:37:35 2019
Received: from localhost ([127.0.0.1]:54722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAc1P-00073r-Hq
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:35 -0400
Received: from mx1.riseup.net ([198.252.153.129]:40830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAc1N-00073W-K7
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:33 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 38A061A4B83
 for <37444 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 08:37:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568821053; bh=x1x7pylE4S6/pBhX1zB2mdL/dGBS+QOUr5qD26rHKfc=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=gQsj8LXVWxsloMaSMuuypdqI2P7KOHe57CpeLfoZyQo7aLfur86ojVOE9xI+/3dTq
 mcgxJpXee0DB8EFbtMrKGFuU0CEHb3njNPx6YLSrZ+AlAmxnflFoqScPDNB2Kce2kj
 IwNQH6GaSCgfK25Cf6mD6u6L86cCZtCJRx4lgu7c=
X-Riseup-User-ID: 5DC82108E87322DEED512C337E2CAA8F7CE4C2E8141F96915C41D8A5C62BC2E9
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 6E425221BF9;
 Wed, 18 Sep 2019 08:37:32 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v2 3/4] updated go-github-com-mitchellh-go-homedir to version
 1.1.0
Date: Wed, 18 Sep 2019 11:36:26 -0400
Message-Id: <20190918153626.7825-3-mjbecze@HIDDEN>
In-Reply-To: <20190918153626.7825-1-mjbecze@HIDDEN>
References: <20190918153626.7825-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/golang.scm | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 86ee362b70..e17630017c 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -2971,28 +2971,27 @@ statistics for wrapped connections.")
       (license license:expat))))
 
 (define-public go-github-com-mitchellh-go-homedir
-  (let ((commit "ae18d6b8b3205b561c79e8e5f69bff09736185f4")
-        (revision "0"))
     (package
       (name "go-github-com-mitchellh-go-homedir")
-      (version (git-version "1.0.0" revision commit))
+      (version "1.1.0")
       (source
        (origin
          (method git-fetch)
          (uri (git-reference
                (url "https://github.com/mitchellh/go-homedir.git")
-               (commit commit)))
+               (commit (string-append "v" version))))
          (file-name (git-file-name name version))
          (sha256
           (base32
-           "0f0z0aa4wivk4z1y503dmnw0k0g0g403dly8i4q263gfshs82sbq"))))
+           "0ydzkipf28hwj2bfxqmwlww47khyk6d152xax4bnyh60f4lq3nx1"))))
       (build-system go-build-system)
       (arguments
        (quote (#:import-path "github.com/mitchellh/go-homedir"
                ;; TODO: Tests fail because it tries to access home.
                #:tests? #f)))
       (home-page "https://github.com/mitchellh/go-homedir")
-      (synopsis "Go library for detecting and expanding the user's home directory without cgo")
+      (synopsis "Go library for detecting and expanding the user's home 
+directory without cgo")
       (description "This is a Go library for detecting the user's home
 directory without the use of @command{cgo}, so the library can be used in
 cross-compilation environments.
@@ -3007,7 +3006,7 @@ package cannot cross compile.  But 99% of the time the use for
 @command{os/user} is just to retrieve the home directory, which we can do for
 the current user without cgo.  This library does that, enabling
 cross-compilation.")
-      (license license:expat))))
+      (license license:expat)))
 
 (define-public go-github-com-multiformats-go-multiaddr
   (let ((commit "fe1c46f8be5af4aff4db286e08839295bd922efb")
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 15:37:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 11:37:34 2019
Received: from localhost ([127.0.0.1]:54720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAc1O-00073e-1e
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:34 -0400
Received: from mx1.riseup.net ([198.252.153.129]:40808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAc1K-00073K-4Y
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:30 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id A1B8D1A4B83
 for <37444 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 08:37:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568821049; bh=33acdmuniv5229fgyr9ylDIC1/j3N+Gd8xyH36c4Ue8=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=cSB9hDJCYlsJxMYK7mPCuQ8UKnkG5ILIjggaKHdVyurZ/e/uwIs9kay4pPFVYpfE9
 +8DdjKAyta73sT4sLpufALBWUs2U/eaIOv+slmm15FtrlHFM9XHjDHGcmR0v8g1h+d
 O5MqnB2uKZJct6B3LSbMlk8b4YJvndnTst23hPHs=
X-Riseup-User-ID: 3612E7B9CBCB4469090F5A4212EB57CB1201A8EE016C11F51AD52A3C8D970C07
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id D9407221CD5;
 Wed, 18 Sep 2019 08:37:28 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v2 2/4] added aerc, a simple email client
Date: Wed, 18 Sep 2019 11:36:25 -0400
Message-Id: <20190918153626.7825-2-mjbecze@HIDDEN>
In-Reply-To: <20190918153626.7825-1-mjbecze@HIDDEN>
References: <20190918153626.7825-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

---
 gnu/packages/mail.scm | 81 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 81 insertions(+)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index fdbb082fdc..b878c81c66 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright © 2018 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -74,6 +75,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages groff)
   #:use-module (gnu packages gsasl)
   #:use-module (gnu packages gtk)
@@ -111,6 +113,7 @@
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages texinfo)
+  #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
@@ -133,6 +136,7 @@
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system guile)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system trivial))
@@ -3082,3 +3086,80 @@ related tools to process winmail.dat files.")
 complement or replace traditional mailing lists.  Readers may read via NNTP,
 Atom feeds or HTML archives.")
      (license agpl3+))))
+
+(define-public aerc
+  (let ((url "https://git.sr.ht/~sircmpwn/aerc"))
+    (package
+      (name "aerc")
+      (version "0.2.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit version)))
+         (sha256
+          (base32
+           "0l063pnz02r4jsg0kd9jp8m5nq10n5q9zdjpx26gfnd9ww4fs46h"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "git.sr.ht/~sircmpwn/aerc"
+         #:install-source? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'setup-go-environment 'setup-make-environment
+             (lambda* (#:key outputs #:allow-other-keys)
+               (setenv "PREFIX" (assoc-ref outputs "out"))
+               #t))
+           (replace 'build
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make"))))
+           (replace 'install
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make" "install"))))
+           (add-after 'install 'wrap-program
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let ((ncurses (assoc-ref inputs "ncurses"))
+                     (out (assoc-ref outputs "out")))
+                 (wrap-program (string-append out "/bin/aerc")
+                   `("PATH" ":" prefix (,(string-append ncurses "/bin")))))
+               #t)))))
+      (inputs
+       `(("ncurses" ,ncurses)))
+      (native-inputs
+       `(("scdoc" ,scdoc)
+         ("automake" ,automake)
+         ("go-git-sr-ht-sircmpwn-getopt" ,go-git-sr-ht-sircmpwn-getopt)
+         ("go-git-sr-ht-sircmpwn-pty" ,go-git-sr-ht-sircmpwn-pty)
+         ("go-git-sr-ht-sircmpwn-tcell" ,go-git-sr-ht-sircmpwn-tcell)
+         ("go-github-com-danwakefield-fnmatch"
+	 ,go-github-com-danwakefield-fnmatch)
+         ("go-github-com-ddevault-go-libvterm"
+	 ,go-github-com-ddevault-go-libvterm)
+         ("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+         ("go-github-com-emersion-go-imap-idle"
+	 ,go-github-com-emersion-go-imap-idle)
+         ("go-github-com-emersion-go-maildir" ,go-github-com-emersion-go-maildir)
+         ("go-github-com-emersion-go-message" ,go-github-com-emersion-go-message)
+         ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+         ("go-github-com-emersion-go-smtp" ,go-github-com-emersion-go-smtp)
+         ("go-github-com-fsnotify-fsnotify" ,go-github-com-fsnotify-fsnotify)
+         ("go-github-com-go-ini-ini" ,go-github-com-go-ini-ini)
+         ("go-github-com-google-shlex" ,go-github-com-google-shlex)
+         ("go-github-com-kyoh86-xdg" ,go-github-com-kyoh86-xdg)
+         ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty)
+         ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-github-com-miolini-datacounter" ,go-github-com-miolini-datacounter)
+         ("go-github-com-mitchellh-go-homedir"
+	 ,go-github-com-mitchellh-go-homedir)
+         ("go-github-com-pkg-errors" ,go-github-com-pkg-errors)
+         ("go-github-com-riywo-loginshell" ,go-github-com-riywo-loginshell)
+         ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+      (home-page url)
+      (synopsis "An email client for your terminal")
+      (description "Join the IRC channel: #aerc on irc.freenode.net for end-user
+ support, and #aerc-dev for development.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 15:37:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 11:37:34 2019
Received: from localhost ([127.0.0.1]:54716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAc1H-00073F-Tx
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:33 -0400
Received: from mx1.riseup.net ([198.252.153.129]:40786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAc1E-000735-8x
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 11:37:25 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 581F61A0AAC
 for <37444 <at> debbugs.gnu.org>; Wed, 18 Sep 2019 08:37:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568821043; bh=6PCcDJisHm4jWBFwJ+/n7xHzH0PegF1owaJ71wpaMKc=;
 h=From:To:Cc:Subject:Date:From;
 b=RGE+Izc5pZJ3AbOcWiTZ/krDfhqejrKf1BIQe7gn2VYy/LHie5qFZJYVkL1HXJVl6
 sHn8M/RxtSgp8Kf3fha1uY3I9a9ApPjl4ED1nvCg4y7W+SqMbCYvYcdmq6/E7DScj2
 r22TVuUL3DDfgg1LUV1YThgDaubLhVm4bbe94B+U=
X-Riseup-User-ID: 202B3A3A2BB7211EFB8666AD01C67ED1E439FD6D4E07B567BE7A83F2AB25D3F5
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 32490221BF9;
 Wed, 18 Sep 2019 08:37:21 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: 37444 <at> debbugs.gnu.org
Subject: [PATCH v2 1/4] Added the dependcies for aerc. NOTE i tried to place
 depency authors next to each other.
Date: Wed, 18 Sep 2019 11:36:24 -0400
Message-Id: <20190918153626.7825-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

---
 gnu/packages/golang.scm | 570 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 570 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 819cc6229e..86ee362b70 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -16,6 +16,7 @@
 ;;; Copyright @ 2019 Giovanni Biscuolo <g@HIDDEN>
 ;;; Copyright @ 2019 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2019 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright © 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -802,6 +803,34 @@ Go programming language.")
       (home-page "https://go.googlesource.com/tools/")
       (license license:bsd-3))))
 
+(define-public go-golang-org-x-oauth2
+  (let ((commit "0f29369cfe4552d0e4bcddc57cc75f4d7e672a33")
+        (url "https://go.googlesource.com/oauth2"))
+    (package
+      (name "go-golang-org-x-oauth2")
+      (version (git-version "0.0.0" "0" commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url url)
+                      (commit commit)))
+                (file-name (string-append "go.googlesource.com-oauth2-"
+                                          version "-checkout"))
+                (sha256
+                 (base32
+                  "06jwpvx0x2gjn2y959drbcir5kd7vg87k0r1216abk6rrdzzrzi2"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "golang.org/x/oauth2"))
+      (propagated-inputs
+       `(("go-golang-org-x-net-context" ,go-golang-org-x-net-context)))
+      (synopsis "This package contains a client implementation for OAuth 2.0
+ spec.")
+      (description "This package contains a client implementation for OAuth 2.0
+ spec.")
+      (home-page url)
+      (license license:bsd-3))))
+
 (define-public go-golang-org-x-crypto
   (let ((commit "b7391e95e576cacdcdd422573063bc057239113d")
         (revision "3"))
@@ -2045,6 +2074,30 @@ terminal.")
 makes it possible to handle ANSI color escapes on Windows.")
       (license license:expat))))
 
+(define-public go-github-com-mattn-go-pointer
+  (let ((commit "a0a44394634f41e4992b173b24f14fecd3318a67")
+        (url "https://github.com/mattn/go-pointer"))
+    (package
+      (name "go-github-com-mattn-go-pointer")
+      (version (git-version "0.0.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit commit)))
+         (sha256
+          (base32
+           "09w7hcyc0zz2g23vld6jbcmq4ar27xakp1ldjvh549i5izf2anhz"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "github.com/mattn/go-pointer"))
+      (home-page url)
+      (synopsis "Utility for cgo")
+      (description "Utility for cgo")
+      (license license:expat))))
+
 (define-public go-github-com-mgutz-ansi
   (let ((commit "9520e82c474b0a04dd04f8a40959027271bab992")
         (revision "0"))
@@ -3686,3 +3739,520 @@ on running processes and system utilization (CPU, memory, disks, network,
 sensors).")
       (home-page "https://github.com/shirou/gopsutil")
       (license license:bsd-3))))
+
+(define-public go-github-com-danwakefield-fnmatch
+  (let ((commit "cbb64ac3d964b81592e64f957ad53df015803288")
+        (url "https://github.com/danwakefield/fnmatch"))
+    (package
+     (name "go-github-com-danwakefield-fnmatch")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0cbf511ppsa6hf59mdl7nbyn2b2n71y0bpkzbmfkdqjhanqh1lqz"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/danwakefield/fnmatch"))
+     (home-page url)
+     (synopsis "Updated clone of kballards golang fnmatch
+ gist (https://gist.github.com/kballard/272720)")
+     (description "Updated clone of kballards golang fnmatch
+gist (https://gist.github.com/kballard/272720)")
+     (license license:bsd-2))))
+
+(define-public go-github-com-ddevault-go-libvterm
+  (let ((commit "b7d861da381071e5d3701e428528d1bfe276e78f")
+        (url "https://github.com/ddevault/go-libvterm"))
+    (package
+     (name "go-github-com-ddevault-go-libvterm")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "06vv4pgx0i6hjdjcar4ch18hp9g6q6687mbgkvs8ymmbacyhp7s6"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/ddevault/go-libvterm"))
+     (propagated-inputs
+      `(("go-github-com-mattn-go-pointer" ,go-github-com-mattn-go-pointer)))
+     (home-page url)
+     (synopsis "Go binding to libvterm")
+     (description "This is a personal fork for use with aerc. Breaking changes
+ will come unannounced.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap
+  (let ((url "https://github.com/emersion/go-imap"))
+    (package
+     (name "go-github-com-emersion-go-imap")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1id8j2d0rn9sj8y62xhyygqpk5ygrcl9jlfx92sm1jsvxsm3kywq"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap"))
+     (native-inputs
+      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "An IMAP4rev1 library written in Go")
+     (description "An IMAP4rev1 library written in Go. It can be used to build
+ a client and/or a server.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-sasl
+  (let ((commit "240c8404624e076f633766c16adbe96c7ac516b7")
+        (url "https://github.com/emersion/go-sasl"))
+    (package
+     (name "go-github-com-emersion-go-sasl")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1py18p3clp474xhx6ypyp0bgv6n1dfm24m95cyyqb0k3vibar6ih"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-sasl"))
+     (home-page url)
+     (synopsis "A SASL library written in Go")
+     (description "A SASL library written in Go.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap-idle
+  (let ((commit "2704abd7050ed7f2143753554ee23affdf847bd9")
+        (url "https://github.com/emersion/go-imap-idle"))
+    (package
+     (name "go-github-com-emersion-go-imap-idle")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0blwcadmxgqsdwgr9m4jqfbpfa2viw5ah19xbybpa1z1z4aj5cbc"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap-idle"))
+     (native-inputs
+      `(("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-imap)
+        ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)))
+     (home-page url)
+     (synopsis "IDLE extension for go-imap")
+     (description "IDLE extension for go-imap.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-maildir
+  (let ((url "https://github.com/emersion/go-maildir")
+        (commit "941194b0ac705efac39bd89c5eae6cce84b26202"))
+    (package
+     (name "go-github-com-emersion-go-maildir")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/emersion/go-maildir")
+             (commit commit)))
+       (sha256
+        (base32
+         "10dm0qvjm4payh2hfifwfpz9511fngp2vaf2yrg111di67x1148m"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-maildir"))
+     (home-page url)
+     (synopsis "A Go library for maildir")
+     (description "A Go library for maildir.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-message
+  (let ((url "https://github.com/emersion/go-message"))
+    (package
+     (name "go-github-com-emersion-go-message")
+     (version "0.10.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "05s6x6x5k5b4qmfam716b5wi47rrvj702lfkc6gr681z64g2hirb"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-message"))
+     (propagated-inputs
+      `(("go-github-com-emersion-go-textwrapper"
+         ,go-github-com-emersion-go-textwrapper)
+        ("go-github-com-martinlindhe-base36"
+	 ,go-github-com-martinlindhe-base36)))
+     (home-page url)
+     (synopsis "A Go library for the Internet Message Format")
+     (description "A Go library for the Internet Message Format. It implements:
+@itemize
+@item RFC 5322: Internet Message Format
+@item RFC 2045, RFC 2046 and RFC 2047: Multipurpose Internet Mail Extensions
+@item RFC 2183: Content-Disposition Header Field
+@end itemize")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-textwrapper
+  (let ((url "https://github.com/emersion/go-textwrapper")
+        (commit "d0e65e56babe3f687ff94c1d764ca0e6aa7723ee"))
+    (package
+     (name "go-github-com-emersion-go-textwrapper")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1nw8qpjjbpkz49wd19yg2qsln1dmdfxi83wp2aa819cv6xxf2y7l"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-textwrapper"))
+     (home-page url)
+     (synopsis "A writer that wraps long text lines to a specified length")
+     (description "A writer that wraps long text lines to a specified length")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-smtp
+  (let ((url "https://github.com/emersion/go-smtp"))
+    (package
+     (name "go-github-com-emersion-go-smtp")
+     (version "0.11.2")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "08v7x513hxkfyihixp0cdy4cmf2j9hw1yzm7bzy5g95fai71azm0"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-smtp"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)))
+     (home-page url)
+     (synopsis "An ESMTP client and server library written in Go")
+     (description "An ESMTP client and server library written in Go. It features:
+@itemize
+@item ESMTP client & server implementing RFC 532
+@item Support for SMTP AUTH and PIPELINING
+@item UTF-8 support for subject and message
+@item LMTP support
+@end itemize ")
+     (license license:expat))))
+
+(define-public go-github-com-fsnotify-fsnotify
+  (let ((url "https://github.com/fsnotify/fsnotify"))
+    (package
+     (name "go-github-com-fsnotify-fsnotify")
+     (version "1.4.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/fsnotify/fsnotify"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sasl)
+        ("go-golang-org-x-sys-unix",go-golang-org-x-sys-unix)))
+     (home-page url)
+     (synopsis "File system notifications for Go")
+     (description "File system notifications for Go")
+     (license license:bsd-3))))
+
+(define-public go-github-com-go-ini-ini
+  (let ((url "https://github.com/go-ini/ini"))
+    (package
+     (name "go-github-com-go-ini-ini")
+     (version "1.44.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "072fhg4i5k26pxq3kg5y5h9lb9w5ka75jl000q5bjcdv2yf8qhcv"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/go-ini/ini"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "Package ini provides INI file read and write functionality in Go")
+     (description "Package ini provides INI file read and write functionality in Go.")
+     (license license:asl2.0))))
+
+(define-public go-github-com-google-shlex
+  (let ((commit "c34317bd91bf98fab745d77b03933cf8769299fe")
+        (url "https://github.com/google/shlex"))
+    (package
+     (name "go-github-com-google-shlex")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "00qivza4hkllfkar2vpqmyxybi0fwqipgijv61dgapq4xddxdq0r"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/google/shlex"))
+     (home-page url)
+     (synopsis "A simple lexer")
+     (description "go-shlex is a simple lexer for go that supports shell-style 
+quoting, commenting, and escaping.")
+     (license license:asl2.0))))
+
+(define-public go-github-com-kyoh86-xdg
+  (let ((url "https://github.com/kyoh86/xdg"))
+    (package
+     (name "go-github-com-kyoh86-xdg")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "02wrm9rl6qqv3nr2n5yariwg1rgr7w76l1sp0ak1kxin1y184ivf"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/kyoh86/xdg"))
+     (home-page url)
+     (synopsis "Light weight helper functions in golang to get config, data and
+ cache files according to the XDG Base Directory Specification")
+     (description "Light weight helper functions in golang to get config, data
+ and cache files according to the XDG Base Directory Specification.")
+     (license license:expat))))
+
+(define-public go-github-com-martinlindhe-base36
+  (let ((url "https://github.com/martinlindhe/base36"))
+    (package
+     (name "go-github-com-martinlindhe-base36")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "0hib6cnx543fxbcy7fm3kcfz8ajhd90kxzbld49qi7w930pcz26c"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/martinlindhe/base36"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "Implements Base36 encoding and decoding")
+     (description "Implements Base36 encoding and decoding, which is useful to
+ represent large integers in a case-insensitive alphanumeric way.")
+     (license license:expat))))
+
+(define-public go-github-com-miolini-datacounter
+  (let ((url "https://github.com/miolini/datacounter")
+        (commit "aa48df3a02c1fbcd3040271f631887991c3071fb"))
+    (package
+     (name "go-github-com-miolini-datacounter")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "12ldh5jhafjhh3jvh979mldwygkkcnm97axs7dhlai6gqwlhls87"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/miolini/datacounter"))
+     (home-page url)
+     (synopsis "Golang counters for readers/writers")
+     (description "Golang counters for readers/writers")
+     (license license:expat))))
+
+(define-public go-github-com-riywo-loginshell
+  (let ((url "https://github.com/riywo/loginshell")
+        (commit "2ed199a032f65b5e6a0a1294abc96b7d3efade86"))
+    (package
+     (name "go-github-com-riywo-loginshell")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1chhpp22kd3r2h84206bvdjj6815n4r6pjq8n9jhav9mfal4qvzj"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/riywo/loginshell"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "A golang library to get the login shell of the current user")
+     (description "A golang library to get the login shell of the current user.")
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-getopt
+  (let ((commit "daaf1274538b02b41238d1e6c219186c76af3b8c")
+        (url "https://git.sr.ht/~sircmpwn/getopt"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-getopt")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0qf9kmzs3h4vzcbc1ha0z68ivckzvl7jq9jwb8rbbaq0d1a6baq7"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/getopt"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testify)))
+     (home-page url)
+     (synopsis "A POSIX-compatible getopt implementation for Go")
+     (description "A POSIX-compatible getopt implementation for Go, because
+ POSIX getopt is The Correct Way to interpret arguments to command line utilities.")
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-pty
+  (let ((commit "3a43678975a9cb13dbcf05ea7a1611ebce3eadb2")
+        (url "https://git.sr.ht/~sircmpwn/pty"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-pty")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1spa779vb2j1vgwm1cpbmf7f8wj6zwyyy49ihz134izvah7vncsw"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/pty"))
+     (home-page url)
+     (synopsis "A Go package for using unix pseudo-terminals")
+     (description "Pty is a Go package for using unix pseudo-terminals.")
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-tcell
+  (let ((commit "3fdb6bc01a5035fe7cd57b9b0b56166a44db8620")
+        (version "0.0.0"))
+    (package
+      (name "go-git-sr-ht-sircmpwn-tcell")
+      (version (git-version version "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.sr.ht/~sircmpwn/tcell")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1g7vx0qzwp6wsp47l2rabmkrxp7x3z8s94gjf6722z7sfb8xybas"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/gdamore/tcell"
+         #:unpack-path "github.com/gdamore/tcell"
+         #:phases
+         (modify-phases %standard-phases
+           (add-before 'reset-gzip-timestamps 'make-files-writable
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; Make sure .gz files are writable so that the
+               ;; 'reset-gzip-timestamps' phase can do its work.
+               (let ((out (assoc-ref outputs "out")))
+                 (for-each make-file-writable
+                           (find-files out "\\.gz$"))
+                 #t))))))
+      (propagated-inputs
+       `(("go-golang-org-colorful" ,go-golang-org-colorful)
+         ("go-github-com-gdamore-encoding" ,go-github-com-gdamore-encoding)))
+      (inputs
+       `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
+         ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+         ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform)
+         ("go-golang-org-x-sys-unix" ,go-golang-org-x-sys-unix)))
+      (home-page "https://github.com/gdamore/tcell")
+      (synopsis "Provide a cell-based view for text terminals")
+      (description "This package includes a full parser and expander for
+terminfo capability strings to avoid hard-coding escape strings for
+formatting.  It also favors portability, and includes support for all POSIX
+systems.")
+      (license license:expat))))
-- 
2.23.0





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 09:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:48:22 2019
Received: from localhost ([127.0.0.1]:53609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAWZS-0002KQ-7M
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:48:22 -0400
Received: from tobias.gr ([80.241.217.52]:48952)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iAWZO-0002KG-Hq
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:48:21 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 1587e5ce;
 Wed, 18 Sep 2019 09:48:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:message-id:references:in-reply-to:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=UgklroLgS4pGaDWoVxuQs/
 zkaDDq9IXscGMBSdg5Puc=; b=LgBbLYbYaCwuF9jRziPV84iU2neSIB4Y3hksxP
 KvJP34CJfDwBkPjpv+9TQg5cr/B40OqlQRl1GqpeOf1Ehn5OIpd/WjClpHHP88YC
 maot5+i+gH0l6VwJB1BOtxRo5ZGHDtjCdWcaNL0xyGswEkZam2RsY/LlZzm1RoHE
 ABoytv//YpK6Hdfh0BBWLHL1TFsNVYa9ZZiCRWOu9I7Do+WxSEGb2q4++CY9Qf4i
 stI99Q8QNzhIWi53sX19FGpY5aUihbL04OSyvjOmQgsL+nzN6+4pLlyreGQMoyoB
 Vg7u4mkw5qEsY2dTwVt8SzQn7b1NfhNKja9WlP8UvrGZv19A==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 628b55d4
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Wed, 18 Sep 2019 09:48:12 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37444] [PATCH] added aerc,
 a simple email client and its dependcies
Message-ID: <87impq2awo.fsf@nckx>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN> <a9ae17e2299898e003057996c076b569@HIDDEN>
In-reply-to: <a9ae17e2299898e003057996c076b569@HIDDEN>
Date: Wed, 18 Sep 2019 11:48:09 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37444
Cc: Ricardo Wurmus <rekado@HIDDEN>, 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Martin,

Martin Becze =E5=86=99=E9=81=93=EF=BC=9A
> also if i do something like `git send-email HEAD~3` won't it=20
> send
> multiple emails? is the advised way to do it?

Once you've been assigned a bug number, sending multiple patches=20
=E2=80=98--to=3Dnnn@debbugs=E2=80=99 is fine.

It's sending more than one patch =E2=80=98--to=3Dguix-patches/bug-guix@=E2=
=80=99=20
that's discouraged (to say the least), as that will create a new=20
bug number for each patch=E2=80=A6

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2B/VkACgkQ2Imw8BjF
STxV9g/9FLrgD6QG/lCx7Cd27DdOZn/CGHceCD6QFjCYIqojPTiWaNcQ3jfcPsGs
RRBiYHB7DOJk3ogzK5dyJm+vwI3qJR8uIv6XuM5ZStoqoxjdXpKeGKTtxzXndafN
nPPjAx/d/KZ2X/endc73ktSYN72nUUdrZFUjxVtEJz8u9OdvlChC92A0vkCTDRRv
tJZlVk0K+ZbHvoRQGdTLAf7+LxM7vBueQSLyGB4ebRfIIyDnj/6ZkMAXCa6HjFvc
qsCBjMl1ci0+e7yWNcNPrD4R6YWBaDCsuCREJ19pSTIMuOrdtZ4haSpMKxjzCc5V
h3ByV8U5cAsGIkzPB6+eDa7efnHTbANpStj3H3jex/zGCDF7ra2mtXAekht3DpiJ
2aOwRs7Df5poreB+PIEmOE1RbvEPy9ob33DTbX9hXO1nk/Bp1i5VAsGJvPHUEyYx
dPJnoeD2wv6eUJ2EA3EWVxLFSNTCYUsTQkVn2C5w2UcKp9KzxAE92ZfajOkp/WTR
Mkizx+2QNK2LPpRYa8KXmV47qtV4uI98rVOGw3SPjd846kJBWqG5FzUwEcgAwLh3
rCo6HbOXNsnSdlTb6E4GVgYwKk4E+XME3prCFu64rDuLPhIm7M6YjzQ+EggWCXl8
31tsm2rBw8Y6eh3FyGnadXTGzBzDIbZNYmM5bB6h6cqazANzOpE=
=OqmO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2019 09:48:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:48:29 2019
Received: from localhost ([127.0.0.1]:53613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAWZZ-0002Kl-Fw
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:48:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:34399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1iAWZX-0002Kd-E4
 for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:48:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58627)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <me@HIDDEN>) id 1iAWZW-00063J-8r
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 05:48:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <me@HIDDEN>) id 1iAWZT-0003f5-Vc
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 05:48:25 -0400
Received: from tobias.gr ([2001:470:7405::1]:58838)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <me@HIDDEN>) id 1iAWZS-0003cG-3K
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 05:48:23 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 1587e5ce;
 Wed, 18 Sep 2019 09:48:15 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:message-id:references:in-reply-to:date:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=UgklroLgS4pGaDWoVxuQs/
 zkaDDq9IXscGMBSdg5Puc=; b=LgBbLYbYaCwuF9jRziPV84iU2neSIB4Y3hksxP
 KvJP34CJfDwBkPjpv+9TQg5cr/B40OqlQRl1GqpeOf1Ehn5OIpd/WjClpHHP88YC
 maot5+i+gH0l6VwJB1BOtxRo5ZGHDtjCdWcaNL0xyGswEkZam2RsY/LlZzm1RoHE
 ABoytv//YpK6Hdfh0BBWLHL1TFsNVYa9ZZiCRWOu9I7Do+WxSEGb2q4++CY9Qf4i
 stI99Q8QNzhIWi53sX19FGpY5aUihbL04OSyvjOmQgsL+nzN6+4pLlyreGQMoyoB
 Vg7u4mkw5qEsY2dTwVt8SzQn7b1NfhNKja9WlP8UvrGZv19A==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 628b55d4
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Wed, 18 Sep 2019 09:48:12 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN
Subject: Re: [bug#37444] [PATCH] added aerc,
 a simple email client and its dependcies
Message-ID: <87impq2awo.fsf@nckx>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN> <a9ae17e2299898e003057996c076b569@HIDDEN>
In-reply-to: <a9ae17e2299898e003057996c076b569@HIDDEN>
Date: Wed, 18 Sep 2019 11:48:09 +0200
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:470:7405::1
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Ricardo Wurmus <rekado@HIDDEN>, 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Martin,

Martin Becze =E5=86=99=E9=81=93=EF=BC=9A
> also if i do something like `git send-email HEAD~3` won't it=20
> send
> multiple emails? is the advised way to do it?

Once you've been assigned a bug number, sending multiple patches=20
=E2=80=98--to=3Dnnn@debbugs=E2=80=99 is fine.

It's sending more than one patch =E2=80=98--to=3Dguix-patches/bug-guix@=E2=
=80=99=20
that's discouraged (to say the least), as that will create a new=20
bug number for each patch=E2=80=A6

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl2B/VkACgkQ2Imw8BjF
STxV9g/9FLrgD6QG/lCx7Cd27DdOZn/CGHceCD6QFjCYIqojPTiWaNcQ3jfcPsGs
RRBiYHB7DOJk3ogzK5dyJm+vwI3qJR8uIv6XuM5ZStoqoxjdXpKeGKTtxzXndafN
nPPjAx/d/KZ2X/endc73ktSYN72nUUdrZFUjxVtEJz8u9OdvlChC92A0vkCTDRRv
tJZlVk0K+ZbHvoRQGdTLAf7+LxM7vBueQSLyGB4ebRfIIyDnj/6ZkMAXCa6HjFvc
qsCBjMl1ci0+e7yWNcNPrD4R6YWBaDCsuCREJ19pSTIMuOrdtZ4haSpMKxjzCc5V
h3ByV8U5cAsGIkzPB6+eDa7efnHTbANpStj3H3jex/zGCDF7ra2mtXAekht3DpiJ
2aOwRs7Df5poreB+PIEmOE1RbvEPy9ob33DTbX9hXO1nk/Bp1i5VAsGJvPHUEyYx
dPJnoeD2wv6eUJ2EA3EWVxLFSNTCYUsTQkVn2C5w2UcKp9KzxAE92ZfajOkp/WTR
Mkizx+2QNK2LPpRYa8KXmV47qtV4uI98rVOGw3SPjd846kJBWqG5FzUwEcgAwLh3
rCo6HbOXNsnSdlTb6E4GVgYwKk4E+XME3prCFu64rDuLPhIm7M6YjzQ+EggWCXl8
31tsm2rBw8Y6eh3FyGnadXTGzBzDIbZNYmM5bB6h6cqazANzOpE=
=OqmO
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 09:42:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:42:49 2019
Received: from localhost ([127.0.0.1]:53605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAWU5-0002Bt-DE
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:42:49 -0400
Received: from m4s11.vlinux.de ([83.151.27.109]:59210 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1iAWU2-0002Bk-PX
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:42:47 -0400
Received: from alma-ubu (pD951F9D0.dip0.t-ipconnect.de [217.81.249.208])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 3CEFB3F870;
 Wed, 18 Sep 2019 11:42:45 +0200 (CEST)
Date: Wed, 18 Sep 2019 11:42:44 +0200
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Martin Becze <mjbecze@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its
 dependcies
Message-ID: <20190918114244.39b54980@alma-ubu>
In-Reply-To: <a9ae17e2299898e003057996c076b569@HIDDEN>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN>
 <a9ae17e2299898e003057996c076b569@HIDDEN>
X-Mailer: Claws Mail 3.16.0 (GTK+ 2.24.32; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/8SDvfr=QAp.=5Xmp6PNPNY."; protocol="application/pgp-signature"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 37444
Cc: Ricardo Wurmus <rekado@HIDDEN>, 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/8SDvfr=QAp.=5Xmp6PNPNY.
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Wed, 18 Sep 2019 02:29:18 -0700
Martin Becze <mjbecze@HIDDEN> wrote:

> also if i do something like `git send-email HEAD~3` won't it send
> multiple emails? is the advised way to do it?

If you would send all n patches directly to guix-patches, we would
receive the patches distributed over n bug-entries.

This is documented here:

https://guix.gnu.org/manual/en/guix.html#Sending-a-Patch-Series-1

As you already generated a bug-number with your first patch, you can
directly use it:

37444 <at> debbugs.gnu.org

Thanks,

Bj=C3=B6rn

--Sig_/8SDvfr=QAp.=5Xmp6PNPNY.
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iF0EARECAB0WIQQiGUP0np8nb5SZM4K/KGy2WT5f/QUCXYH8FAAKCRC/KGy2WT5f
/cAtAJoDdSqxJ7ZZylZF0fFVQ7dAqgGQjwCdF/sLfjLGUqKTIg6/79Cd4fnJeHo=
=1o6B
-----END PGP SIGNATURE-----

--Sig_/8SDvfr=QAp.=5Xmp6PNPNY.--




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 09:29:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:29:21 2019
Received: from localhost ([127.0.0.1]:53596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAWH3-0001rt-74
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:29:21 -0400
Received: from mx1.riseup.net ([198.252.153.129]:33312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAWH1-0001rm-HK
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:29:19 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B761B1B91DB;
 Wed, 18 Sep 2019 02:29:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568798958; bh=ZfUpYM+D4xNUpzaI3yR+YuxaKtF6WZa+DrKIZsFkCGk=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=fQX03RLxrUcL9sbgRsGUjV+EO4mlTKB4//NpLMSh+Eaodek+wfdvMH7YdzR2Lc82d
 9Nr4mCBF7u0YsKxNolSMr7oPakKi0KRyLDDl87XjTmPgLDherFpKh6Xz5+QHkwapQ8
 D72+P3FU9jvq0LT4orlNCIw/QGtjA79uh4Y0LtNA=
X-Riseup-User-ID: 012CCF2A27A4C814C78E21B9194ABBA241580FBB9832B8F7C36342C628290509
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 742EE223E87;
 Wed, 18 Sep 2019 02:29:18 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Wed, 18 Sep 2019 02:29:18 -0700
From: Martin Becze <mjbecze@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its
 dependcies
In-Reply-To: <87woe6nfka.fsf@HIDDEN>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN>
Message-ID: <a9ae17e2299898e003057996c076b569@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

also if i do something like `git send-email HEAD~3` won't it send
multiple emails? is the advised way to do it?

On 2019-09-18 09:01, Ricardo Wurmus wrote:
> Hi Martin,
> 
>> This adds aerc, which is a terminal based email client written in go.
> 
> Thank you for your patch!
> 
> Could you please separate the independent changes into separate commits
> and add commit summaries?  For example, the update of
> go-github-com-mitchellh-go-homedir should be done separately.
> 
> Please also explain why “inputs” had to be changed to
> “propagated-inputs” in some packages, and mention these kind of changes
> in the commit summary.
> 
> Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 09:20:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:20:50 2019
Received: from localhost ([127.0.0.1]:53592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAW8o-0001fg-8V
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:20:50 -0400
Received: from mx1.riseup.net ([198.252.153.129]:57236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAW8m-0001fW-C7
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:20:49 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 07B0D1B944B;
 Wed, 18 Sep 2019 02:20:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568798446; bh=SHKDx+dvZ4lMzZ4w1hUiTmOK0bQvTE6qzddXL6wH7rQ=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=LqKRm+04dTI/dSSnujPmukqQxHEhxK1eEkQQ9yKkWE8gGnZ5k5cCIIOV1N5W6mNjK
 0nsk3jIv92w7SNPP6hPOd32uvFBbZwBTI0psJF32jUG4BNg2PNjiBZsTe8tozfv2m+
 erjWNMLcT7TSUyTZuTsV9J9ePUeAmbrBQBdHWWnE=
X-Riseup-User-ID: ECAC3B3E95E8075D548A29702D93807696ADC66A30C8D5FCC9D1F322B9674E2D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 15D4D2241AE;
 Wed, 18 Sep 2019 02:20:27 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Wed, 18 Sep 2019 02:20:26 -0700
From: Martin Becze <mjbecze@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc, a simple email client and its
 dependcies
In-Reply-To: <87woe6nfka.fsf@HIDDEN>
References: <20190918082313.3514-1-mjbecze@HIDDEN>
 <87woe6nfka.fsf@HIDDEN>
Message-ID: <dc19f461fa52fd76050201ca7710b6d3@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37444
Cc: 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Certainly! I'll get that up later today. On the propagated-inputs issue.
So I might be wrong here. But since all the go libraries are source only
it doesn't matter to the end result if the are propagated or not if the
libraries are used as `native-inputs`.. they shouldn't be left lying
around (I think?). Now the reason why the need to be propagated is that
when the go compiler go to compile the top level app (aerc) it needs to
have in it's GOPATH all of the dependencies and the dependencies of the
dependencies. The other way to do it is to put all of dependencies and
the dependencies of the dependencies in the native-input. But that
didn't seem right to me. Let me know what you think!

On 2019-09-18 09:01, Ricardo Wurmus wrote:
> Hi Martin,
> 
>> This adds aerc, which is a terminal based email client written in go.
> 
> Thank you for your patch!
> 
> Could you please separate the independent changes into separate commits
> and add commit summaries?  For example, the update of
> go-github-com-mitchellh-go-homedir should be done separately.
> 
> Please also explain why “inputs” had to be changed to
> “propagated-inputs” in some packages, and mention these kind of changes
> in the commit summary.
> 
> Thanks!




Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at 37444 <at> debbugs.gnu.org:


Received: (at 37444) by debbugs.gnu.org; 18 Sep 2019 09:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:02:03 2019
Received: from localhost ([127.0.0.1]:53570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAVqd-0001EH-Es
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:02:03 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1iAVqb-0001Dr-6r
 for 37444 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:02:01 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1568797305; cv=none; d=zoho.com; s=zohoarc; 
 b=gtf+tkZIlyhMWMnTXzoQU2voz5RxaTZVU2hihwn82ejJQBjAcSpow7Fk6W2jC8kWP+BzwM3UT3Damju8eooP41vx/jixK++59M/eizMVQ2hID8T7zNIqBnDwWs16/cJNY7OsqdnCguG72mZ00V8v3Qaf3EcTiZENg54+xqqAelk=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1568797305;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=3OcsfmMDcVBjRJ4IwJp4rk7hDaI8b+DCxPs5XV8ViKI=; 
 b=ArqL1Xad8DRyOUv2ChLFL2NXHiKxuMvNHYN5rcvVcEHCK5HSnLgHZQw+r3a2Ltm28KRiY7tpY0QNnVIS2/F2g2fHcmdrump1LErLLkHwWvh1PEFTGvkCWl3Pg2SdoaiHFdURKQwDVtRCAqujcwjgA9et40Ird7/hfIeAA8ZWRho=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1568797305; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=529; bh=3OcsfmMDcVBjRJ4IwJp4rk7hDaI8b+DCxPs5XV8ViKI=;
 b=BZSm3yLuZQcMCWri+0BPwuAp29w6i+tbFuYd0qypEHsnGaGxP9hy38ug1YFcXMx7
 VJ0y1jNl2VDMsHeORJPWTUe/a19e33EGWIsRsiOgkwl9XDUvnO60l4wuzmazQYyqa0D
 ro2tECXP+8Zy7tU6rIsXmulp1FAAjjPSolr6rX54=
Received: from localhost (p54AD4E3E.dip0.t-ipconnect.de [84.173.78.62]) by
 mx.zohomail.com with SMTPS id 1568797304661775.5068263812568;
 Wed, 18 Sep 2019 02:01:44 -0700 (PDT)
References: <20190918082313.3514-1-mjbecze@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Ricardo Wurmus <rekado@HIDDEN>
To: Martin Becze <mjbecze@HIDDEN>
Subject: Re: [bug#37444] [PATCH] added aerc,
 a simple email client and its dependcies
In-reply-to: <20190918082313.3514-1-mjbecze@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 18 Sep 2019 11:01:41 +0200
Message-ID: <87woe6nfka.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37444
Cc: 37444 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Martin,

> This adds aerc, which is a terminal based email client written in go.=20

Thank you for your patch!

Could you please separate the independent changes into separate commits
and add commit summaries?  For example, the update of
go-github-com-mitchellh-go-homedir should be done separately.

Please also explain why =E2=80=9Cinputs=E2=80=9D had to be changed to
=E2=80=9Cpropagated-inputs=E2=80=9D in some packages, and mention these kin=
d of changes
in the commit summary.

Thanks!

--=20
Ricardo





Information forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Sep 2019 08:24:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 04:24:51 2019
Received: from localhost ([127.0.0.1]:53548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAVGV-0000IN-A2
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 04:24:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:56163)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAVGN-0000Hz-Q6
 for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 04:24:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46959)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mjbecze@HIDDEN>) id 1iAVGJ-0006W6-OK
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 04:24:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mjbecze@HIDDEN>) id 1iAVGF-00007p-NA
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 04:24:31 -0400
Received: from mx1.riseup.net ([198.252.153.129]:47992)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mjbecze@HIDDEN>) id 1iAVGB-0008Vc-OY
 for guix-patches@HIDDEN; Wed, 18 Sep 2019 04:24:25 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id E41671B9414
 for <guix-patches@HIDDEN>; Wed, 18 Sep 2019 01:24:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568795062; bh=nkd8k1KJRFp25c/K0kyPU/J+u5UvywkqyGURi0XLw18=;
 h=From:To:Cc:Subject:Date:From;
 b=JPI58l4xMXR13yR+lpa4dzrxuUdlOIoTB+HWyQ12Y/ji2+2UcGHEDw0DLDj5a2EHy
 jE9Cpzbf1Uhs9W3BybJVsevZQOwTde/EmGu5Rq5SuaUrjdYNGJngfv5fkpkZvXu7pI
 UDIB9R7s+QUC6bKpTL+Z8N/s9l8SnUy7X250LApE=
X-Riseup-User-ID: D8AC8B753411EC66C44D68ACB99979EB66F73475B8F6DD7DFFF5F3CD1378507D
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id B4AA91209AC;
 Wed, 18 Sep 2019 01:24:20 -0700 (PDT)
From: Martin Becze <mjbecze@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] added aerc, a simple email client and its dependcies
Date: Wed, 18 Sep 2019 04:23:13 -0400
Message-Id: <20190918082313.3514-1-mjbecze@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
Cc: Martin Becze <mjbecze@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

---
This adds aerc, which is a terminal based email client written in go.=20

 gnu/packages/golang.scm | 579 +++++++++++++++++++++++++++++++++++++++-
 gnu/packages/mail.scm   |  74 +++++
 2 files changed, 646 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 819cc6229e..52f3e56d40 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -16,6 +16,7 @@
 ;;; Copyright @ 2019 Giovanni Biscuolo <g@HIDDEN>
 ;;; Copyright @ 2019 Alex Griffin <a@HIDDEN>
 ;;; Copyright =C2=A9 2019 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright =C2=A9 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -801,6 +802,31 @@ expressing configuration which is easy for both huma=
ns and machines to read.")
 Go programming language.")
       (home-page "https://go.googlesource.com/tools/")
       (license license:bsd-3))))
+(define-public go-golang-org-x-oauth2
+  (let ((commit "0f29369cfe4552d0e4bcddc57cc75f4d7e672a33")
+        (url "https://go.googlesource.com/oauth2"))
+    (package
+      (name "go-golang-org-x-oauth2")
+      (version (git-version "0.0.0" "0" commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url url)
+                      (commit commit)))
+                (file-name (string-append "go.googlesource.com-oauth2-"
+                                          version "-checkout"))
+                (sha256
+                 (base32
+                  "06jwpvx0x2gjn2y959drbcir5kd7vg87k0r1216abk6rrdzzrzi2"=
))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "golang.org/x/oauth2"))
+      (propagated-inputs
+       `(("go-golang-org-x-net-context" ,go-golang-org-x-net-context)))
+      (synopsis "oauth2 package contains a client implementation for OAu=
th 2.0 spec.")
+      (description "This package contains a client implementation for OA=
uth 2.0 spec.")
+      (home-page url)
+      (license license:bsd-3))))
=20
 (define-public go-golang-org-x-crypto
   (let ((commit "b7391e95e576cacdcdd422573063bc057239113d")
@@ -2918,21 +2944,19 @@ statistics for wrapped connections.")
       (license license:expat))))
=20
 (define-public go-github-com-mitchellh-go-homedir
-  (let ((commit "ae18d6b8b3205b561c79e8e5f69bff09736185f4")
-        (revision "0"))
     (package
       (name "go-github-com-mitchellh-go-homedir")
-      (version (git-version "1.0.0" revision commit))
+      (version "1.1.0")
       (source
        (origin
          (method git-fetch)
          (uri (git-reference
                (url "https://github.com/mitchellh/go-homedir.git")
-               (commit commit)))
+               (commit (string-append "v" version))))
          (file-name (git-file-name name version))
          (sha256
           (base32
-           "0f0z0aa4wivk4z1y503dmnw0k0g0g403dly8i4q263gfshs82sbq"))))
+           "0ydzkipf28hwj2bfxqmwlww47khyk6d152xax4bnyh60f4lq3nx1"))))
       (build-system go-build-system)
       (arguments
        (quote (#:import-path "github.com/mitchellh/go-homedir"
@@ -2954,7 +2978,7 @@ package cannot cross compile.  But 99% of the time =
the use for
 @command{os/user} is just to retrieve the home directory, which we can d=
o for
 the current user without cgo.  This library does that, enabling
 cross-compilation.")
-      (license license:expat))))
+      (license license:expat)))
=20
 (define-public go-github-com-multiformats-go-multiaddr
   (let ((commit "fe1c46f8be5af4aff4db286e08839295bd922efb")
@@ -3383,7 +3407,7 @@ colorspaces.")
     (build-system go-build-system)
     (arguments
      '(#:import-path "github.com/gdamore/encoding"))
-    (inputs
+    (propagated-inputs
      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transform=
)))
     (home-page "https://github.com/gdamore/encoding")
@@ -3437,6 +3461,30 @@ formatting.  It also favors portability, and inclu=
des support for all POSIX
 systems.")
       (license license:expat))))
=20
+(define-public go-github-com-mattn-go-pointer
+  (let ((commit "a0a44394634f41e4992b173b24f14fecd3318a67")
+        (url "https://github.com/mattn/go-pointer"))
+    (package
+      (name "go-github-com-mattn-go-pointer")
+      (version (git-version "0.0.0" "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit commit)))
+         (sha256
+          (base32
+           "09w7hcyc0zz2g23vld6jbcmq4ar27xakp1ldjvh549i5izf2anhz"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "github.com/mattn/go-pointer"))
+      (home-page url)
+      (synopsis "Utility for cgo")
+      (description "Utility for cgo")
+      (license license:expat))))
+
 (define-public go-github-com-mattn-go-shellwords
   (let ((commit "2444a32a19f450fabaa0bb3e96a703f15d9a97d2")
         (version "1.0.5")
@@ -3686,3 +3734,520 @@ on running processes and system utilization (CPU,=
 memory, disks, network,
 sensors).")
       (home-page "https://github.com/shirou/gopsutil")
       (license license:bsd-3))))
+
+(define-public go-github-com-danwakefield-fnmatch
+  (let ((commit "cbb64ac3d964b81592e64f957ad53df015803288")
+        (url "https://github.com/danwakefield/fnmatch"))
+    (package
+     (name "go-github-com-danwakefield-fnmatch")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0cbf511ppsa6hf59mdl7nbyn2b2n71y0bpkzbmfkdqjhanqh1lqz"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/danwakefield/fnmatch"))
+     (home-page url)
+     (synopsis "Updated clone of kballards golang fnmatch
+ gist (https://gist.github.com/kballard/272720)")
+     (description "Updated clone of kballards golang fnmatch
+gist (https://gist.github.com/kballard/272720)")
+     (license license:bsd-2))))
+
+(define-public go-github-com-ddevault-go-libvterm
+  (let ((commit "b7d861da381071e5d3701e428528d1bfe276e78f")
+        (url "https://github.com/ddevault/go-libvterm"))
+    (package
+     (name "go-github-com-ddevault-go-libvterm")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "06vv4pgx0i6hjdjcar4ch18hp9g6q6687mbgkvs8ymmbacyhp7s6"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/ddevault/go-libvterm"))
+     (propagated-inputs
+      `(("go-github-com-mattn-go-pointer" ,go-github-com-mattn-go-pointe=
r)))
+     (home-page url)
+     (synopsis "Go binding to libvterm")
+     (description "This is a personal fork for use with aerc. Breaking c=
hanges
+ will come unannounced.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap
+  (let ((url "https://github.com/emersion/go-imap"))
+    (package
+     (name "go-github-com-emersion-go-imap")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "1id8j2d0rn9sj8y62xhyygqpk5ygrcl9jlfx92sm1jsvxsm3kywq"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap"))
+     (native-inputs
+      `(("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transfor=
m)))
+     (home-page url)
+     (synopsis "An IMAP4rev1 library written in Go")
+     (description "An IMAP4rev1 library written in Go. It can be used to=
 build
+ a client and/or a server.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-sasl
+  (let ((commit "240c8404624e076f633766c16adbe96c7ac516b7")
+        (url "https://github.com/emersion/go-sasl"))
+    (package
+     (name "go-github-com-emersion-go-sasl")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1py18p3clp474xhx6ypyp0bgv6n1dfm24m95cyyqb0k3vibar6ih"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-sasl"))
+     (home-page url)
+     (synopsis "A SASL library written in Go")
+     (description "A SASL library written in Go.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-imap-idle
+  (let ((commit "2704abd7050ed7f2143753554ee23affdf847bd9")
+        (url "https://github.com/emersion/go-imap-idle"))
+    (package
+     (name "go-github-com-emersion-go-imap-idle")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0blwcadmxgqsdwgr9m4jqfbpfa2viw5ah19xbybpa1z1z4aj5cbc"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-imap-idle"))
+     (native-inputs
+      `(("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-ima=
p)
+        ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sas=
l)
+        ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding)
+        ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transfor=
m)))
+     (home-page url)
+     (synopsis "IDLE extension for go-imap")
+     (description "IDLE extension for go-imap.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-maildir
+  (let ((url "https://github.com/emersion/go-maildir")
+        (commit "941194b0ac705efac39bd89c5eae6cce84b26202"))
+    (package
+     (name "go-github-com-emersion-go-maildir")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/emersion/go-maildir")
+             (commit commit)))
+       (sha256
+        (base32
+         "10dm0qvjm4payh2hfifwfpz9511fngp2vaf2yrg111di67x1148m"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-maildir"))
+     (home-page url)
+     (synopsis "A Go library for maildir")
+     (description "A Go library for maildir.")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-message
+  (let ((url "https://github.com/emersion/go-message"))
+    (package
+     (name "go-github-com-emersion-go-message")
+     (version "0.10.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "05s6x6x5k5b4qmfam716b5wi47rrvj702lfkc6gr681z64g2hirb"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-message"))
+     (propagated-inputs
+      `(("go-github-com-emersion-go-textwrapper"
+         ,go-github-com-emersion-go-textwrapper)
+        ("go-github-com-martinlindhe-base36"
+	 ,go-github-com-martinlindhe-base36)))
+     (home-page url)
+     (synopsis "A Go library for the Internet Message Format")
+     (description "A Go library for the Internet Message Format. It impl=
ements:
+@itemize
+@item RFC 5322: Internet Message Format
+@item RFC 2045, RFC 2046 and RFC 2047: Multipurpose Internet Mail Extens=
ions
+@item RFC 2183: Content-Disposition Header Field
+@end itemize")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-textwrapper
+  (let ((url "https://github.com/emersion/go-textwrapper")
+        (commit "d0e65e56babe3f687ff94c1d764ca0e6aa7723ee"))
+    (package
+     (name "go-github-com-emersion-go-textwrapper")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1nw8qpjjbpkz49wd19yg2qsln1dmdfxi83wp2aa819cv6xxf2y7l"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-textwrapper"))
+     (home-page url)
+     (synopsis "A writer that wraps long text lines to a specified lengt=
h")
+     (description "A writer that wraps long text lines to a specified le=
ngth")
+     (license license:expat))))
+
+(define-public go-github-com-emersion-go-smtp
+  (let ((url "https://github.com/emersion/go-smtp"))
+    (package
+     (name "go-github-com-emersion-go-smtp")
+     (version "0.11.2")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "08v7x513hxkfyihixp0cdy4cmf2j9hw1yzm7bzy5g95fai71azm0"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/emersion/go-smtp"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sas=
l)))
+     (home-page url)
+     (synopsis "An ESMTP client and server library written in Go")
+     (description "An ESMTP client and server library written in Go. It =
features:
+@itemize
+@item ESMTP client & server implementing RFC 532
+@item Support for SMTP AUTH and PIPELINING
+@item UTF-8 support for subject and message
+@item LMTP support
+@end itemize ")
+     (license license:expat))))
+
+(define-public go-github-com-fsnotify-fsnotify
+  (let ((url "https://github.com/fsnotify/fsnotify"))
+    (package
+     (name "go-github-com-fsnotify-fsnotify")
+     (version "1.4.7")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "07va9crci0ijlivbb7q57d2rz9h27zgn2fsm60spjsqpdbvyrx4g"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/fsnotify/fsnotify"))
+     (native-inputs
+      `(("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sas=
l)
+        ("go-golang-org-x-sys-unix",go-golang-org-x-sys-unix)))
+     (home-page url)
+     (synopsis "File system notifications for Go")
+     (description "File system notifications for Go")
+     (license license:bsd-3))))
+
+(define-public go-github-com-go-ini-ini
+  (let ((url "https://github.com/go-ini/ini"))
+    (package
+     (name "go-github-com-go-ini-ini")
+     (version "1.44.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "072fhg4i5k26pxq3kg5y5h9lb9w5ka75jl000q5bjcdv2yf8qhcv"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/go-ini/ini"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "Package ini provides INI file read and write functionali=
ty in Go")
+     (description "Package ini provides INI file read and write function=
ality in Go.")
+     (license license:asl2.0))))
+
+(define-public go-github-com-google-shlex
+  (let ((commit "c34317bd91bf98fab745d77b03933cf8769299fe")
+        (url "https://github.com/google/shlex"))
+    (package
+     (name "go-github-com-google-shlex")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "00qivza4hkllfkar2vpqmyxybi0fwqipgijv61dgapq4xddxdq0r"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/google/shlex"))
+     (home-page url)
+     (synopsis "A simple lexer")
+     (description "go-shlex is a simple lexer for go that supports shell=
-style=20
+quoting, commenting, and escaping.")
+     (license license:asl2.0))))
+
+(define-public go-github-com-kyoh86-xdg
+  (let ((url "https://github.com/kyoh86/xdg"))
+    (package
+     (name "go-github-com-kyoh86-xdg")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "02wrm9rl6qqv3nr2n5yariwg1rgr7w76l1sp0ak1kxin1y184ivf"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/kyoh86/xdg"))
+     (home-page url)
+     (synopsis "Light weight helper functions in golang to get config, d=
ata and
+ cache files according to the XDG Base Directory Specification")
+     (description "Light weight helper functions in golang to get config=
, data
+ and cache files according to the XDG Base Directory Specification.")
+     (license license:expat))))
+
+(define-public go-github-com-martinlindhe-base36
+  (let ((url "https://github.com/martinlindhe/base36"))
+    (package
+     (name "go-github-com-martinlindhe-base36")
+     (version "1.0.0")
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit (string-append "v" version))))
+       (sha256
+        (base32
+         "0hib6cnx543fxbcy7fm3kcfz8ajhd90kxzbld49qi7w930pcz26c"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/martinlindhe/base36"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testif=
y)))
+     (home-page url)
+     (synopsis "Implements Base36 encoding and decoding")
+     (description "Implements Base36 encoding and decoding, which is use=
ful to
+ represent large integers in a case-insensitive alphanumeric way.")
+     (license license:expat))))
+
+(define-public go-github-com-miolini-datacounter
+  (let ((url "https://github.com/miolini/datacounter")
+        (commit "aa48df3a02c1fbcd3040271f631887991c3071fb"))
+    (package
+     (name "go-github-com-miolini-datacounter")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "12ldh5jhafjhh3jvh979mldwygkkcnm97axs7dhlai6gqwlhls87"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/miolini/datacounter"))
+     (home-page url)
+     (synopsis "Golang counters for readers/writers")
+     (description "Golang counters for readers/writers")
+     (license license:expat))))
+
+(define-public go-github-com-riywo-loginshell
+  (let ((url "https://github.com/riywo/loginshell")
+        (commit "2ed199a032f65b5e6a0a1294abc96b7d3efade86"))
+    (package
+     (name "go-github-com-riywo-loginshell")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1chhpp22kd3r2h84206bvdjj6815n4r6pjq8n9jhav9mfal4qvzj"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "github.com/riywo/loginshell"
+		      #:tests? #f))
+     (home-page url)
+     (synopsis "A golang library to get the login shell of the current u=
ser")
+     (description "A golang library to get the login shell of the curren=
t user.")
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-getopt
+  (let ((commit "daaf1274538b02b41238d1e6c219186c76af3b8c")
+        (url "https://git.sr.ht/~sircmpwn/getopt"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-getopt")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "0qf9kmzs3h4vzcbc1ha0z68ivckzvl7jq9jwb8rbbaq0d1a6baq7"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/getopt"))
+     (native-inputs
+      `(("go-github-com-stretchr-testify" ,go-github-com-stretchr-testif=
y)))
+     (home-page url)
+     (synopsis "A POSIX-compatible getopt implementation for Go")
+     (description "A POSIX-compatible getopt implementation for Go, beca=
use
+ POSIX getopt is The Correct Way to interpret arguments to command line =
utilities.")
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-pty
+  (let ((commit "3a43678975a9cb13dbcf05ea7a1611ebce3eadb2")
+        (url "https://git.sr.ht/~sircmpwn/pty"))
+    (package
+     (name "go-git-sr-ht-sircmpwn-pty")
+     (version (git-version "0.0.0" "0" commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url url)
+             (commit commit)))
+       (sha256
+        (base32
+         "1spa779vb2j1vgwm1cpbmf7f8wj6zwyyy49ihz134izvah7vncsw"))
+       (file-name (git-file-name name version))))
+     (build-system go-build-system)
+     (arguments
+      '(#:import-path "git.sr.ht/~sircmpwn/pty"))
+     (home-page url)
+     (synopsis "A Go package for using unix pseudo-terminals")
+     (description "Pty is a Go package for using unix pseudo-terminals."=
)
+     (license license:expat))))
+
+(define-public go-git-sr-ht-sircmpwn-tcell
+  (let ((commit "3fdb6bc01a5035fe7cd57b9b0b56166a44db8620")
+        (version "0.0.0"))
+    (package
+      (name "go-git-sr-ht-sircmpwn-tcell")
+      (version (git-version version "0" commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://git.sr.ht/~sircmpwn/tcell")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1g7vx0qzwp6wsp47l2rabmkrxp7x3z8s94gjf6722z7sfb8xybas"))))
+      (build-system go-build-system)
+      (arguments
+       `(#:import-path "github.com/gdamore/tcell"
+         #:unpack-path "github.com/gdamore/tcell"
+         #:phases
+         (modify-phases %standard-phases
+           (add-before 'reset-gzip-timestamps 'make-files-writable
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; Make sure .gz files are writable so that the
+               ;; 'reset-gzip-timestamps' phase can do its work.
+               (let ((out (assoc-ref outputs "out")))
+                 (for-each make-file-writable
+                           (find-files out "\\.gz$"))
+                 #t))))))
+      (propagated-inputs
+       `(("go-golang-org-colorful" ,go-golang-org-colorful)
+         ("go-github-com-gdamore-encoding" ,go-github-com-gdamore-encodi=
ng)))
+      (inputs
+       `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-run=
ewidth)
+         ("go-golang-org-x-text-encoding" ,go-golang-org-x-text-encoding=
)
+         ("go-golang-org-x-text-transform" ,go-golang-org-x-text-transfo=
rm)
+         ("go-golang-org-x-sys-unix" ,go-golang-org-x-sys-unix)))
+      (home-page "https://github.com/gdamore/tcell")
+      (synopsis "Provide a cell-based view for text terminals")
+      (description "This package includes a full parser and expander for
+terminfo capability strings to avoid hard-coding escape strings for
+formatting.  It also favors portability, and includes support for all PO=
SIX
+systems.")
+      (license license:expat))))
diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index fdbb082fdc..3b96a1443b 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -28,6 +28,7 @@
 ;;; Copyright =C2=A9 2018 Alex Vong <alexvong1995@HIDDEN>
 ;;; Copyright =C2=A9 2018 G=C3=A1bor Boskovits <boskovits@HIDDEN>
 ;;; Copyright =C2=A9 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright =C2=A9 2019 Martin Becze <mjbecze@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -74,6 +75,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages groff)
   #:use-module (gnu packages gsasl)
   #:use-module (gnu packages gtk)
@@ -111,6 +113,7 @@
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages texinfo)
+  #:use-module (gnu packages textutils)
   #:use-module (gnu packages time)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
@@ -133,6 +136,7 @@
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system guile)
+  #:use-module (guix build-system go)
   #:use-module (guix build-system perl)
   #:use-module (guix build-system python)
   #:use-module (guix build-system trivial))
@@ -3082,3 +3086,73 @@ related tools to process winmail.dat files.")
 complement or replace traditional mailing lists.  Readers may read via N=
NTP,
 Atom feeds or HTML archives.")
      (license agpl3+))))
+
+(define-public aerc
+  (let ((url "https://git.sr.ht/~sircmpwn/aerc"))
+    (package
+      (name "aerc")
+      (version "0.2.1")
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url url)
+               (commit version)))
+         (sha256
+          (base32
+           "0l063pnz02r4jsg0kd9jp8m5nq10n5q9zdjpx26gfnd9ww4fs46h"))
+         (file-name (git-file-name name version))))
+      (build-system go-build-system)
+      (arguments
+       '(#:import-path "git.sr.ht/~sircmpwn/aerc"
+         #:install-source? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'setup-go-environment 'setup-make-environment
+             (lambda* (#:key outputs #:allow-other-keys)
+               (setenv "PREFIX" (assoc-ref outputs "out"))
+               #t))
+           (replace 'build
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make"))))
+           (replace 'install
+             (lambda _
+               (with-directory-excursion "src/git.sr.ht/~sircmpwn/aerc"
+                 (invoke "make" "install")))))))
+      (inputs
+       `(("ncurses" ,ncurses)))
+      (native-inputs
+       `(("scdoc" ,scdoc)
+         ("automake" ,automake)
+         ("go-git-sr-ht-sircmpwn-getopt" ,go-git-sr-ht-sircmpwn-getopt)
+         ("go-git-sr-ht-sircmpwn-pty" ,go-git-sr-ht-sircmpwn-pty)
+         ("go-git-sr-ht-sircmpwn-tcell" ,go-git-sr-ht-sircmpwn-tcell)
+         ("go-github-com-danwakefield-fnmatch"
+	 ,go-github-com-danwakefield-fnmatch)
+         ("go-github-com-ddevault-go-libvterm"
+	 ,go-github-com-ddevault-go-libvterm)
+         ("go-github-com-emersion-go-imap" ,go-github-com-emersion-go-im=
ap)
+         ("go-github-com-emersion-go-imap-idle"
+	 ,go-github-com-emersion-go-imap-idle)
+         ("go-github-com-emersion-go-maildir" ,go-github-com-emersion-go=
-maildir)
+         ("go-github-com-emersion-go-message" ,go-github-com-emersion-go=
-message)
+         ("go-github-com-emersion-go-sasl" ,go-github-com-emersion-go-sa=
sl)
+         ("go-github-com-emersion-go-smtp" ,go-github-com-emersion-go-sm=
tp)
+         ("go-github-com-fsnotify-fsnotify" ,go-github-com-fsnotify-fsno=
tify)
+         ("go-github-com-go-ini-ini" ,go-github-com-go-ini-ini)
+         ("go-github-com-google-shlex" ,go-github-com-google-shlex)
+         ("go-github-com-kyoh86-xdg" ,go-github-com-kyoh86-xdg)
+         ("go-github-com-mattn-go-isatty" ,go-github-com-mattn-go-isatty=
)
+         ("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-run=
ewidth)
+         ("go-github-com-miolini-datacounter" ,go-github-com-miolini-dat=
acounter)
+         ("go-github-com-mitchellh-go-homedir"
+	 ,go-github-com-mitchellh-go-homedir)
+         ("go-github-com-pkg-errors" ,go-github-com-pkg-errors)
+         ("go-github-com-riywo-loginshell" ,go-github-com-riywo-loginshe=
ll)
+         ("go-golang-org-x-oauth2" ,go-golang-org-x-oauth2)))
+      (home-page url)
+      (synopsis "An email client for your terminal")
+      (description "Join the IRC channel: #aerc on irc.freenode.net for =
end-user
+ support, and #aerc-dev for development.")
+      (license license:expat))))
--=20
2.23.0





Acknowledgement sent to Martin Becze <mjbecze@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37444; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.